GNU bug report logs - #11795
24.1.50; wdired: C-c C-c loses marks and positions of renamed files

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: michael_heerdegen@HIDDEN; dated Tue, 26 Jun 2012 23:56:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 20 Jan 2013 05:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 00:15:31 2013
Received: from localhost ([127.0.0.1]:40970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwnFj-00052i-0p
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2013 00:15:31 -0500
Received: from mout.web.de ([212.227.15.4]:53677)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TwnFh-00052c-Fy
	for 11795 <at> debbugs.gnu.org; Sun, 20 Jan 2013 00:15:30 -0500
Received: from drachen.dragon ([82.113.98.199]) by smtp.web.de (mrweb002) with
	ESMTPA (Nemesis) id 0LaTtv-1TCxku3QtD-00lo5w;
	Sun, 20 Jan 2013 06:14:32 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN> <87txsiuhkl.fsf@HIDDEN>
	<87zk296v7m.fsf@HIDDEN> <87boeohj3c.fsf@HIDDEN>
	<87622tvg2d.fsf@HIDDEN> <874nid4fi8.fsf@HIDDEN>
Date: Sun, 20 Jan 2013 06:15:53 +0100
In-Reply-To: <874nid4fi8.fsf@HIDDEN> (Juri Linkov's message of "Sat,
	19 Jan 2013 12:37:23 +0200")
Message-ID: <8738xw1lkm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:bvVXkOnAGgXv5rtP7wxd2y2hl4BDOV6+qXx6FLT4Pm0
	a15uUsOD8+vugwG8ZhpGcEfwTf25UC0eqRP+ek9bg11OAhZsmf
	ja1OzpNwPuV3DxC3iPyHylTNbYm5JsoFXVTqb0la/Jc1PfT+QW
	/SqKb9QzODcsIDgDpQNG48rpjt078jXNLb9xD60z4mflsxBX9L
	+7PHDsBvWgPkG844yVj58utYKCzXSASoDLjv5Ut9CQ=
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > > I must say that I'm a bit reluctant to force a
	revert
	in other buffers. > > Because some aspects of the these buffers may be
	lost
	that maybe were > > important for the user - like killed files (they
	reappear
	when > > reverting) or any marks (e.g. belonging to positions stored in
	a
	> > register). That's why I tried to avoid reverting. > > Not reverting
	means
	a lot of trouble. For example, you have to detect > the situation when a
	file is in the killed state,
	so not to add its > renamed file line to the
	Dired buffer in this case, etc. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
	(michael_heerdegen[at]web.de)
	-0.0 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [212.227.15.4 listed in list.dnswl.org]
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > > I must say that I'm a bit reluctant to force a revert
   in other buffers. > > Because some aspects of the these buffers may be lost
    that maybe were > > important for the user - like killed files (they reappear
    when > > reverting) or any marks (e.g. belonging to positions stored in a
    > > register). That's why I tried to avoid reverting. > > Not reverting means
    a lot of trouble. For example, you have to detect > the situation when a
   file is in the killed state, so not to add its > renamed file line to the
   Dired buffer in this case, etc. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.15.4 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (michael_heerdegen[at]web.de)
 -0.0 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4970]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> > I must say that I'm a bit reluctant to force a revert in other buffers.
> > Because some aspects of the these buffers may be lost that maybe were
> > important for the user - like killed files (they reappear when
> > reverting) or any marks (e.g. belonging to positions stored in a
> > register).  That's why I tried to avoid reverting.
>
> Not reverting means a lot of trouble.  For example, you have to detect
> the situation when a file is in the killed state, so not to add its
> renamed file line to the Dired buffer in this case, etc.

Agreed.

> A less error-prone approach would be to allow a revert to avoid
> all these nuances.

Ok.  So, do you want to write a patch to implement this?


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 19 Jan 2013 10:51:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 05:51:41 2013
Received: from localhost ([127.0.0.1]:39592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwW1V-00014G-O2
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:51:41 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:58260
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TwW1U-00014A-IU
	for 11795 <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:51:40 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 815CA201BB0D0D;
	Sat, 19 Jan 2013 02:50:47 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN> <87txsiuhkl.fsf@HIDDEN>
	<87zk296v7m.fsf@HIDDEN> <87boeohj3c.fsf@HIDDEN>
	<87622tvg2d.fsf@HIDDEN>
Date: Sat, 19 Jan 2013 12:37:23 +0200
In-Reply-To: <87622tvg2d.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 19
	Jan 2013 07:32:10 +0100")
Message-ID: <874nid4fi8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > I must say that I'm a bit reluctant to force a
	revert in
	other buffers. > Because some aspects of the these buffers may be lost
	that
	maybe were > important for the user - like killed files (they reappear
	when
	> reverting) or any marks (e.g. belonging to positions stored in a >
	register). That's why I tried to avoid reverting. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I must say that I'm a bit reluctant to force a revert in
    other buffers. > Because some aspects of the these buffers may be lost that
    maybe were > important for the user - like killed files (they reappear when
    > reverting) or any marks (e.g. belonging to positions stored in a > register).
    That's why I tried to avoid reverting. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4999]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> I must say that I'm a bit reluctant to force a revert in other buffers.
> Because some aspects of the these buffers may be lost that maybe were
> important for the user - like killed files (they reappear when
> reverting) or any marks (e.g. belonging to positions stored in a
> register).  That's why I tried to avoid reverting.

Not reverting means a lot of trouble.  For example, you have to detect
the situation when a file is in the killed state, so not to add its
renamed file line to the Dired buffer in this case, etc.

A less error-prone approach would be to allow a revert to avoid
all these nuances.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jan 2013 06:31:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 01:31:50 2013
Received: from localhost ([127.0.0.1]:39463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwRy0-0003Hg-HV
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 01:31:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59326)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TwRxx-0003HZ-Sc
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 01:31:46 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TwRx8-0006XR-0S
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 01:30:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-99.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_NONE,RP_MATCHES_RCVD,USER_IN_WHITELIST
	autolearn=no version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:40887)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TwRx7-0006XN-Te
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 01:30:53 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42454)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TwRx6-00057R-Pe
	for bug-gnu-emacs@HIDDEN; Sat, 19 Jan 2013 01:30:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TwRx5-0006X6-C4
	for bug-gnu-emacs@HIDDEN; Sat, 19 Jan 2013 01:30:52 -0500
Received: from mout.web.de ([212.227.15.4]:50482)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TwRx4-0006Wx-UY
	for bug-gnu-emacs@HIDDEN; Sat, 19 Jan 2013 01:30:51 -0500
Received: from drachen.dragon ([82.113.121.3]) by smtp.web.de (mrweb103) with
	ESMTPA (Nemesis) id 0LeLSr-1T9Id21qjF-00qD9q;
	Sat, 19 Jan 2013 07:30:50 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN> <87txsiuhkl.fsf@HIDDEN>
	<87zk296v7m.fsf@HIDDEN> <87boeohj3c.fsf@HIDDEN>
Date: Sat, 19 Jan 2013 07:32:10 +0100
In-Reply-To: <87boeohj3c.fsf@HIDDEN> (Juri Linkov's message of "Fri,
	23 Nov 2012 09:30:31 +0200")
Message-ID: <87622tvg2d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:p/K6xAgpUw3KhNynZi2jzTwUJbXu8y1/5CUJa59rcHc
	qV0Zid1x/sM2VMkQWEB+xOgAelnKR2qs/BRCNfJWMmZzoA1Sq+
	OfoORWEMfdAYC4kMFtvRnybr1PPKKpVxqTmJXWL9faRss8mwBn
	AV6UTHY6OAtFmBVMesqVBNH1UrWM1tCVWXlcNP/PKWrv6cPN29
	wyJUxcjbW97pokJE4OMy73ZtxV2HC6uBwUftEep5CU=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

Hello Juri,

sorry, again, for the long delay.

> > 1.  When I prepend a letter z to the first file in a buffer, so that it
> > will be under the last files after reverting, and I hit C-c C-c, then
> > point is at another file afterwards.  This was an issue of the original
> > report.
>
> This is not a regression, so it could be fixed in the trunk
> in the same way as for `wdired-old-marks', i.e. to store the original
> value returned from `dired-save-positions', changing original filenames
> to renamed filenames in the returned value, and calling
> `dired-restore-positions' with the new value after `revert-buffer'.
> A simple patch below does this.

Ok, that seems reasonable to me.

> > 2.  If renamed files are also visible in another dired buffer, they
> > just disappear there.  That makes no sense.
>
> The problem where other Dired buffers are not updated
> in `wdired-finish-edit' is not a regression too.
> WDired worked this way from its first version.
>
> Instead of this, much simpler would be to keep the current design
> of WDired that uses `revert-buffer' to maintain consistency with renames.
> Then a simpler fix would be to call `revert-buffer' in all other
> Dired buffers that display renamed files by using
>
>   (dired-fun-in-all-buffers dired-directory nil (function revert-buffer))
>
> This patch for the trunk demonstrates how these problems could be fixed.
> Do you see more problems with this approach?

I must say that I'm a bit reluctant to force a revert in other buffers.
Because some aspects of the these buffers may be lost that maybe were
important for the user - like killed files (they reappear when
reverting) or any marks (e.g. belonging to positions stored in a
register).  That's why I tried to avoid reverting.

WRT to the marks in other buffers (see your followup
<87sj7yavw7.fsf@HIDDEN>) - I agree we should restore (keep) the
marks in those other buffers when renaming files, and not export the
marks form the buffer where wdired was used.


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 25 Nov 2012 09:54:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 25 04:54:24 2012
Received: from localhost ([127.0.0.1]:37483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TcYuu-0001PV-Bv
	for submit <at> debbugs.gnu.org; Sun, 25 Nov 2012 04:54:24 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:45950
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TcYur-0001PH-U0
	for 11795 <at> debbugs.gnu.org; Sun, 25 Nov 2012 04:54:22 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 86946451E18A;
	Sun, 25 Nov 2012 01:52:43 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN> <87txsiuhkl.fsf@HIDDEN>
	<87zk296v7m.fsf@HIDDEN> <87boeohj3c.fsf@HIDDEN>
Date: Sun, 25 Nov 2012 11:12:20 +0200
In-Reply-To: <87boeohj3c.fsf@HIDDEN> (Juri Linkov's message of "Fri,
	23 Nov 2012 09:30:31 +0200")
Message-ID: <87sj7yavw7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > Instead of this,
	much simpler would be to keep the current
	design > of WDired that uses `revert-buffer' to maintain consistency
	with
	renames. > Then a simpler fix would be to call `revert-buffer' in all
	other > Dired buffers that display renamed files by using > >
	(dired-fun-in-all-buffers
	dired-directory nil (function revert-buffer)) [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Instead of this, much simpler would be to keep the current
    design > of WDired that uses `revert-buffer' to maintain consistency with
    renames. > Then a simpler fix would be to call `revert-buffer' in all other
    > Dired buffers that display renamed files by using > > (dired-fun-in-all-buffers
    dired-directory nil (function revert-buffer)) [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> Instead of this, much simpler would be to keep the current design
> of WDired that uses `revert-buffer' to maintain consistency with renames.
> Then a simpler fix would be to call `revert-buffer' in all other
> Dired buffers that display renamed files by using
>
>   (dired-fun-in-all-buffers dired-directory nil (function revert-buffer))

After looking more at this, I noticed a problem that no previous patch
was able to fix.

The question is what to do with marks in other Dired buffers?

One option is to copy marks of renamed files from the current Dired buffer
to other Dired buffers that display the same set of renamed files.
But I think that more correct would be to remember marks in all other
Dired buffers, and in `wdired-finish-edit' restore them in other Dired
buffer to their previous marks.

This means that `wdired-old-marks' should be an associative list
where the key is a Dired buffer and the value is the returned value
from `dired-remember-marks' remembered for each Dired buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 23 Nov 2012 07:35:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 23 02:35:03 2012
Received: from localhost ([127.0.0.1]:33878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tbnmx-0003zU-9M
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2012 02:35:03 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:40681
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1Tbnmu-0003z6-VL
	for 11795 <at> debbugs.gnu.org; Fri, 23 Nov 2012 02:35:01 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 6FBEC451CDCF;
	Thu, 22 Nov 2012 23:33:34 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN> <87txsiuhkl.fsf@HIDDEN>
	<87zk296v7m.fsf@HIDDEN>
Date: Fri, 23 Nov 2012 09:30:31 +0200
In-Reply-To: <87zk296v7m.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 23
	Nov 2012 01:04:13 +0100")
Message-ID: <87boeohj3c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > 1. When I prepend a letter z to the first file in a
	buffer, 
	so that it > will be under the last files after reverting, and I hit C-c
	C-c,
	then > point is at another file afterwards. This was an issue of the
	original > report. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > 1. When I prepend a letter z to the first file in a buffer,
    so that it > will be under the last files after reverting, and I hit C-c
   C-c, then > point is at another file afterwards. This was an issue of the
   original > report. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> 1.  When I prepend a letter z to the first file in a buffer, so that it
> will be under the last files after reverting, and I hit C-c C-c, then
> point is at another file afterwards.  This was an issue of the original
> report.

This is not a regression, so it could be fixed in the trunk
in the same way as for `wdired-old-marks', i.e. to store the original
value returned from `dired-save-positions', changing original filenames
to renamed filenames in the returned value, and calling
`dired-restore-positions' with the new value after `revert-buffer'.
A simple patch below does this.

> 2.  If renamed files are also visible in another dired buffer, they
> just disappear there.  That makes no sense.

The problem where other Dired buffers are not updated
in `wdired-finish-edit' is not a regression too.
WDired worked this way from its first version.

If you want, you could try to rewrite WDired so that it correctly
maintains consistency with renamed files without using `revert-buffer'
and by using `dired-add-file' like `dired-do-rename' does.

Your previous patch doesn't do this correctly - it inserts
duplicate file lines, so Dired displays two versions of the same file,
but fortunately `revert-buffer' fixes this mess.

Instead of this, much simpler would be to keep the current design
of WDired that uses `revert-buffer' to maintain consistency with renames.
Then a simpler fix would be to call `revert-buffer' in all other
Dired buffers that display renamed files by using

  (dired-fun-in-all-buffers dired-directory nil (function revert-buffer))

This patch for the trunk demonstrates how these problems could be fixed.
Do you see more problems with this approach?

=== modified file 'lisp/wdired.el'
--- lisp/wdired.el	2012-11-21 10:29:30 +0000
+++ lisp/wdired.el	2012-11-23 07:28:39 +0000
@@ -194,6 +194,7 @@ (defvar wdired-mode-hook nil
 (defvar wdired-col-perm) ;; Column where the permission bits start
 (defvar wdired-old-content)
 (defvar wdired-old-point)
+(defvar wdired-old-positions)
 (defvar wdired-old-marks)
 
 (defun wdired-mode ()
@@ -237,6 +238,8 @@ (defun wdired-change-to-wdired-mode ()
        (buffer-substring (point-min) (point-max)))
   (set (make-local-variable 'wdired-old-marks)
        (dired-remember-marks (point-min) (point-max)))
+  (set (make-local-variable 'wdired-old-positions)
+       (dired-save-positions))
   (set (make-local-variable 'wdired-old-point) (point))
   (set (make-local-variable 'query-replace-skip-read-only) t)
   (add-hook 'isearch-filter-predicates 'wdired-isearch-filter-read-only nil t)
@@ -406,6 +409,8 @@ (defun wdired-finish-edit ()
 		  (when mark
 		    (push (cons (substitute-in-file-name file-new) mark)
 			  wdired-old-marks))))
+	      (when (equal (cadr (car wdired-old-positions)) file-old)
+		(setcar (cdr (car wdired-old-positions)) file-new))
               (push (cons file-old (substitute-in-file-name file-new))
                     files-renamed))))
 	(forward-line -1)))
@@ -423,9 +428,12 @@ (defun wdired-finish-edit ()
 		     (= (length files-renamed) 1))
 	    (setq dired-directory (cdr (car files-renamed))))
 	  ;; Re-sort the buffer.
-	  (revert-buffer)
+	  (if (stringp dired-directory)
+	      (dired-fun-in-all-buffers dired-directory nil (function revert-buffer))
+	    (revert-buffer))
 	  (let ((inhibit-read-only t))
-	    (dired-mark-remembered wdired-old-marks)))
+	    (dired-mark-remembered wdired-old-marks))
+	  (dired-restore-positions wdired-old-positions))
       (let ((inhibit-read-only t))
 	(remove-text-properties (point-min) (point-max)
 				'(old-name nil end-name nil old-link nil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 23 Nov 2012 07:31:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 23 02:31:53 2012
Received: from localhost ([127.0.0.1]:33872 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tbnjs-0003uu-LI
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2012 02:31:53 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:38846
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1Tbnjn-0003ui-3b
	for 11795 <at> debbugs.gnu.org; Fri, 23 Nov 2012 02:31:50 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 59264451CD19;
	Thu, 22 Nov 2012 23:30:20 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN> <87txsiuhkl.fsf@HIDDEN>
	<jwvlidthd38.fsf-monnier+emacs@HIDDEN>
Date: Fri, 23 Nov 2012 09:29:30 +0200
In-Reply-To: <jwvlidthd38.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Thu, 22 Nov 2012 10:28:43 -0500")
Message-ID: <87fw40hj51.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: >> Below is a complete patch adapted for the Emacs-24
	release
	branch: > > Please install it, Installed in the emacs-24 branch. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> Below is a complete patch adapted for the Emacs-24 release
    branch: > > Please install it, Installed in the emacs-24 branch. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

>> Below is a complete patch adapted for the Emacs-24 release branch:
>
> Please install it,

Installed in the emacs-24 branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 23 Nov 2012 00:05:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 19:05:03 2012
Received: from localhost ([127.0.0.1]:33668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TbglS-0000it-UI
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2012 19:05:03 -0500
Received: from mout.web.de ([212.227.15.3]:49354)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TbglQ-0000iU-MJ
	for 11795 <at> debbugs.gnu.org; Thu, 22 Nov 2012 19:05:01 -0500
Received: from drachen.dragon ([89.204.154.76]) by smtp.web.de (mrweb101) with
	ESMTPA (Nemesis) id 0MAdx1-1TQN9J04TL-00BXri;
	Fri, 23 Nov 2012 01:03:35 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN> <87txsiuhkl.fsf@HIDDEN>
Date: Fri, 23 Nov 2012 01:04:13 +0100
In-Reply-To: <87txsiuhkl.fsf@HIDDEN> (Juri Linkov's message of "Thu,
	22 Nov 2012 11:12:12 +0200")
Message-ID: <87zk296v7m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:ZMUOyVWYUvb2ABa6zyizv/jP85aBAl67Sf7NcTt625X
	Cm89dJb9dIcmNRulHRU6Md/rPn0H6/AI7yc5GsRVXOj7jPRG0s
	cu+IVhBzEkhyyS/oCR+hqbS4OhU1bAajJ6H8Gu2mjgUA6RmJUh
	lpFD7TRosBMfHJoWCM4Qi6gmi1j0Wery0tG1gysRcuvYzfcKxz
	jsT+LUGqYQirxdRuScytNTRW+KB3+fEzwb39MYo6p8=
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  Hello Juri,
	> reopen 11795 > stop > > This bug is a regression
	against Emacs 23.1+. > > Actually I found out that Christopher already
	proposed
	a patch > that fixes this bug. I see no reason not to use it. I propose
	>
	to do this on the Emacs-24 release branch before the pretest: > to
	revert
	the ill-behaved part of revno:110564 and install > Christopher's patch
	that
	works correctly in my tests and > has no bad effects caused by
	unnecessary direct operations > on the dired buffer. [...] 
	Content analysis details:   (2.4 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
	(michael_heerdegen[at]web.de)
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [212.227.15.3 listed in list.dnswl.org]
	-0.4 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello Juri, > reopen 11795 > stop > > This bug is a regression
    against Emacs 23.1+. > > Actually I found out that Christopher already proposed
    a patch > that fixes this bug. I see no reason not to use it. I propose >
    to do this on the Emacs-24 release branch before the pretest: > to revert
    the ill-behaved part of revno:110564 and install > Christopher's patch that
    works correctly in my tests and > has no bad effects caused by unnecessary
    direct operations > on the dired buffer. [...] 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.15.3 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (michael_heerdegen[at]web.de)
 -0.4 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

Hello Juri,

> reopen 11795
> stop
>
> This bug is a regression against Emacs 23.1+.
>
> Actually I found out that Christopher already proposed a patch
> that fixes this bug.  I see no reason not to use it.  I propose
> to do this on the Emacs-24 release branch before the pretest:
> to revert the ill-behaved part of revno:110564 and install
> Christopher's patch that works correctly in my tests and
> has no bad effects caused by unnecessary direct operations
> on the dired buffer.

Thanks for your work.

But I see some problems in your patch that I already had fixed in my
version.

1.  When I prepend a letter z to the first file in a buffer, so that it
will be under the last files after reverting, and I hit C-c C-c, then
point is at another file afterwards.  This was an issue of the original
report.

2.  If renamed files are also visible in another dired buffer, they
just disappear there.  That makes no sense.


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 22 Nov 2012 15:30:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 10:30:08 2012
Received: from localhost ([127.0.0.1]:33299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TbYjA-00047b-Bx
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2012 10:30:08 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:4888)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TbYj8-00047U-28
	for 11795 <at> debbugs.gnu.org; Thu, 22 Nov 2012 10:30:06 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ak8QAG6Zu09FpaQ6/2dsb2JhbABEgieuIYNJgQiCFQEBBAFWIwULCzQSFBgNJIgcBboJkEQDiEKacYFYgwc
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="208222401"
Received: from 69-165-164-58.dsl.teksavvy.com (HELO pastel.home)
	([69.165.164.58])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	22 Nov 2012 10:28:44 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 21AE9597C9; Thu, 22 Nov 2012 10:28:43 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Message-ID: <jwvlidthd38.fsf-monnier+emacs@HIDDEN>
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN> <87txsiuhkl.fsf@HIDDEN>
Date: Thu, 22 Nov 2012 10:28:43 -0500
In-Reply-To: <87txsiuhkl.fsf@HIDDEN> (Juri Linkov's message of "Thu,
	22 Nov 2012 11:12:12 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.7 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > Below is a complete patch adapted for the Emacs-24
	release branch: Please install it, Stefan [...] 
	Content analysis details:   (2.7 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.7 RCVD_IN_DNSWL_LOW RBL: Sender listed at http://www.dnswl.org/,
	low trust [206.248.154.182 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4993]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Below is a complete patch adapted for the Emacs-24 release
    branch: Please install it, Stefan [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [206.248.154.182 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 BAYES_40               BODY: Bayes spam probability is 20 to 40%
                             [score: 0.3201]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> Below is a complete patch adapted for the Emacs-24 release branch:

Please install it,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 22 Nov 2012 09:19:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 22 04:19:54 2012
Received: from localhost ([127.0.0.1]:60289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TbSws-0000JK-KN
	for submit <at> debbugs.gnu.org; Thu, 22 Nov 2012 04:19:54 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:55551
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>)
	id 1TbSwq-0000J8-3C; Thu, 22 Nov 2012 04:19:53 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 94FF646FA013;
	Thu, 22 Nov 2012 01:18:30 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: 11795 <at> debbugs.gnu.org
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
	<87ip9wf08t.fsf@HIDDEN>
Date: Thu, 22 Nov 2012 11:12:12 +0200
In-Reply-To: <87ip9wf08t.fsf@HIDDEN> (Juri Linkov's message of "Sat,
	27 Oct 2012 17:38:58 +0300")
Message-ID: <87txsiuhkl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: reopen 11795 stop This bug is a regression against
	Emacs 23.1+.
	Actually I found out that Christopher already proposed a patch that
	fixes
	this bug. I see no reason not to use it. I propose to do this on the
	Emacs-24
	release branch before the pretest: to revert the ill-behaved part of
	revno:110564
	and install Christopher's patch that works correctly in my tests and
	has
	no bad effects caused by unnecessary direct operations on the dired
	buffer. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  reopen 11795 stop This bug is a regression against Emacs 23.1+.
    Actually I found out that Christopher already proposed a patch that fixes
    this bug. I see no reason not to use it. I propose to do this on the Emacs-24
    release branch before the pretest: to revert the ill-behaved part of revno:110564
    and install Christopher's patch that works correctly in my tests and has
   no bad effects caused by unnecessary direct operations on the dired buffer.
    [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.4999]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

reopen 11795
stop

This bug is a regression against Emacs 23.1+.

Actually I found out that Christopher already proposed a patch
that fixes this bug.  I see no reason not to use it.  I propose
to do this on the Emacs-24 release branch before the pretest:
to revert the ill-behaved part of revno:110564 and install
Christopher's patch that works correctly in my tests and
has no bad effects caused by unnecessary direct operations
on the dired buffer.

Below is a complete patch adapted for the Emacs-24 release branch:

=== modified file 'lisp/wdired.el'
--- lisp/wdired.el	2012-10-27 09:17:14 +0000
+++ lisp/wdired.el	2012-11-22 09:09:30 +0000
@@ -399,6 +397,15 @@ (defun wdired-finish-edit ()
             (setq changes t)
             (if (not file-new)		;empty filename!
                 (push file-old files-deleted)
+	      (when wdired-keep-marker-rename
+		(let ((mark (cond ((integerp wdired-keep-marker-rename)
+				   wdired-keep-marker-rename)
+				  (wdired-keep-marker-rename
+				   (cdr (assoc file-old wdired-old-marks)))
+				  (t nil))))
+		  (when mark
+		    (push (cons (substitute-in-file-name file-new) mark)
+			  wdired-old-marks))))
               (push (cons file-old (substitute-in-file-name file-new))
                     files-renamed))))
 	(forward-line -1)))
@@ -416,7 +423,9 @@ (defun wdired-finish-edit ()
 		     (= (length files-renamed) 1))
 	    (setq dired-directory (cdr (car files-renamed))))
 	  ;; Re-sort the buffer.
-	  (revert-buffer))
+	  (revert-buffer)
+	  (let ((inhibit-read-only t))
+	    (dired-mark-remembered wdired-old-marks)))
       (let ((inhibit-read-only t))
 	(remove-text-properties (point-min) (point-max)
 				'(old-name nil end-name nil old-link nil
@@ -430,8 +439,6 @@ (defun wdired-finish-edit ()
   (set-buffer-modified-p nil)
   (setq buffer-undo-list nil))
 
-(declare-function dired-add-entry "dired-aux" (filename &optional marker-char relative))
-
 (defun wdired-do-renames (renames)
   "Perform RENAMES in parallel."
   (let ((residue ())
@@ -473,8 +480,7 @@ (defun wdired-do-renames (renames)
               (push (cons tmp file-new) residue))))
          (t
           (setq progress t)
-          (let* ((file-ori (car rename))
-                 (old-mark (cdr (assoc file-ori wdired-old-marks))))
+          (let* ((file-ori (car rename)))
             (if wdired-use-interactive-rename
                 (wdired-search-and-rename file-ori file-new)
               ;; If dired-rename-file autoloads dired-aux while
@@ -485,20 +491,12 @@ (defun wdired-do-renames (renames)
               (condition-case err
                   (let ((dired-backup-overwrite nil))
                     (dired-rename-file file-ori file-new
-                                       overwrite)
-                    (dired-remove-file file-ori)
-                    (dired-add-file
-		     file-new
-		     (cond ((integerp wdired-keep-marker-rename)
-			    wdired-keep-marker-rename)
-			   (wdired-keep-marker-rename old-mark)
-			   (t nil))))
+                                       overwrite))
                 (error
                  (setq errors (1+ errors))
                  (dired-log (concat "Rename `" file-ori "' to `"
                                     file-new "' failed:\n%s\n")
-                            err)
-                 (dired-add-entry file-ori old-mark)))))))))
+                            err)))))))))
     errors))
 
 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 27 Oct 2012 14:48:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 27 10:48:00 2012
Received: from localhost ([127.0.0.1]:35940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TS7g7-0006pX-OO
	for submit <at> debbugs.gnu.org; Sat, 27 Oct 2012 10:47:59 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:45453
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TS7g4-0006pN-44
	for 11795 <at> debbugs.gnu.org; Sat, 27 Oct 2012 10:47:57 -0400
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id CE6FC451CCE5;
	Sat, 27 Oct 2012 07:45:38 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN> <87pq44rs4z.fsf@HIDDEN>
Date: Sat, 27 Oct 2012 17:38:58 +0300
In-Reply-To: <87pq44rs4z.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 27
	Oct 2012 14:55:40 +0200")
Message-ID: <87ip9wf08t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > My suggestion would be to just delete the according
	lines so that they > cannot cause trouble,
	simply with `delete-region'. That should
	not do > any harm. I'm afraid `delete-region' will do harm especially
	at
	this stage closer to the release because it needs heavy testing for
	possible failures. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > My suggestion would be to just delete the according lines
    so that they > cannot cause trouble, simply with `delete-region'. That should
    not do > any harm. I'm afraid `delete-region' will do harm especially at
   this stage closer to the release because it needs heavy testing for possible
    failures. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> My suggestion would be to just delete the according lines so that they
> cannot cause trouble, simply with `delete-region'.  That should not do
> any harm.

I'm afraid `delete-region' will do harm especially at this stage closer
to the release because it needs heavy testing for possible failures.

Wdired worked correctly for a long time without `dired-add-file', so
it's better to avoid using `dired-add-file' and low-level `delete-region'.

`revert-buffer' already does its work well and propagates name changes
to other dired buffers where these files may also be shown.

The original request was about keeping markers of renamed files,
so what is needed is to use just `dired-remember-marks' and
`dired-mark-remembered' (and also another pair of functions
`dired-save-positions' and `dired-restore-positions').

There is no problem of getting the right names from places where
changes were made.  This should be implemented in the same place
in `wdired-do-renames' that currently has information about old and new
file names and their markers.  The same place in `wdired-do-renames'
can modify the remembered list of markers accordingly.
IOW, keep the same logic in `wdired-do-renames' as it has now,
but modify the `wdired-old-marks' variable instead of operating
on the dired buffer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 27 Oct 2012 12:57:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 27 08:57:42 2012
Received: from localhost ([127.0.0.1]:35534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TS5xN-0004IQ-3i
	for submit <at> debbugs.gnu.org; Sat, 27 Oct 2012 08:57:41 -0400
Received: from mout.web.de ([212.227.15.4]:63138)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TS5xI-0004ID-4G
	for 11795 <at> debbugs.gnu.org; Sat, 27 Oct 2012 08:57:37 -0400
Received: from drachen.dragon ([82.113.121.141]) by smtp.web.de (mrweb001)
	with ESMTPSA (Nemesis) id 0LpwMZ-1SxQC80yqF-00fWXl;
	Sat, 27 Oct 2012 14:55:20 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
	<87a9v85l3p.fsf@HIDDEN>
Date: Sat, 27 Oct 2012 14:55:40 +0200
In-Reply-To: <87a9v85l3p.fsf@HIDDEN> (Juri Linkov's message of "Sat,
	27 Oct 2012 12:18:34 +0300")
Message-ID: <87pq44rs4z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:QF1jYeRRfkSNPi0z+lV8nNJCyYdDy90qqxQf8EOF6T9
	+kIumNYrGM/2L40miNF3M1pIgAnOWivAKqgumJ/NYaOh/fM5IL
	X3M/uK4hNJtTo9wrIOP024uZkWNv8ZSdhz9izs7tnAN2lUIkb7
	jZAkAfcrHk+6ule0xntDYbEUnNnDvfyKvFsxKsJc7Fg1IlqdaG
	JPGXGwyaDgntvrFrfsa1igMsikdyyj93wjEGVayXCA=
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  Hello Juri, > > So,
	introducing an new option `wdired-keep-marker-rename'
	would IMHO make > > sense. The default value could be t, at least that's
	what I think would > > be most intuitive. > > I fixed this regression
	by adding
	`wdired-keep-marker-rename'. > Thanks for the suggestion. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
	(michael_heerdegen[at]web.de)
	0.8 RCVD_IN_SORBS_WEB RBL: SORBS: sender is an abusable web server
	[82.113.121.141 listed in dnsbl.sorbs.net]
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [212.227.15.4 listed in list.dnswl.org]
	-0.7 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello Juri, > > So, introducing an new option `wdired-keep-marker-rename'
    would IMHO make > > sense. The default value could be t, at least that's
   what I think would > > be most intuitive. > > I fixed this regression by adding
    `wdired-keep-marker-rename'. > Thanks for the suggestion. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [82.113.121.141 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.15.4 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (michael_heerdegen[at]web.de)
 -0.7 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

Hello Juri,

> > So, introducing an new option `wdired-keep-marker-rename' would IMHO make
> > sense.  The default value could be t, at least that's what I think would
> > be most intuitive.
>
> I fixed this regression by adding `wdired-keep-marker-rename'.
> Thanks for the suggestion.

Good - thanks!

> When testing it, I noticed a random behavior of `wdired-do-renames'
> when the marker is customized to a character.  The decision what
> character to put depends on the position of point.  When point is at
> the top of the Dired buffer, it uses a customized marker character.
> When point is at the bottom, it restores an old marker character.
>
> The problem is that `dired-remove-file' doesn't remove file entries
> (and neither `dired-rename-file') because files already have new
> renamed names
> in the Dired buffer.  Whereas `dired-add-entry' adds duplicated file
> entries.
>
> Fortunately, `revert-buffer' (called at the end of
> `wdired-finish-edit') sorts out this mess caused by `dired-add-entry'.
> But in `dired-revert' it uses `dired-remember-marks' and
> `dired-restore-positions' to restore markers.  So when duplicated file
> entries were added by `dired-add-entry' at the top of the Dired buffer
> (in front of file entries edited by WDired), it uses a customized
> marker character.  When duplicated file entries were added at the
> bottom, it restores an old marker character because
> `dired-restore-positions' in `dired-revert' gets markers from the
> first duplicated file entry.

Thanks for finding this, and for your analysis.

> Do you have an idea how to fix this problem?  One way would be instead
> of using `dired-add-file' to change markers in the remembered variable
> `wdired-old-marks' and just call `dired-mark-remembered' (before
> `revert-buffer' in `wdired-finish-edit') with the modified list of
> markers for renamed files.

I chose to use `dired-add-file' in my patch so that name changes are
propagated also to other dired buffers where these files may also be
shown.  This is consistent with `dired-do-rename'.

WRT your suggestion: I see two problems:

1. Calling `dired-mark-remembered' before `revert-buffer' is not
reliable, because it may fail to get the right names from places where
changes were made.  I.e., it my not work for the same reason as
`dired-remove-file' doesn't work.

2. Even if this worked well, the remaining old lines of renamed files
are still lying around.  They can still cause trouble.  When
`revert-buffer' is called, these lines are still included for
remembering marks.  This is problematic: there is a chance that the user
has renamed another file in that buffer to that collected name.

My suggestion would be to just delete the according lines so that they
cannot cause trouble, simply with `delete-region'.  That should not do
any harm.

What do you think?


Regards,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 27 Oct 2012 09:24:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 27 05:24:43 2012
Received: from localhost ([127.0.0.1]:35463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TS2dH-00074Y-9E
	for submit <at> debbugs.gnu.org; Sat, 27 Oct 2012 05:24:43 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:45204
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TS2dE-00074P-Ry
	for 11795 <at> debbugs.gnu.org; Sat, 27 Oct 2012 05:24:41 -0400
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 752BF451CD51;
	Sat, 27 Oct 2012 02:22:25 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
Date: Sat, 27 Oct 2012 12:18:34 +0300
In-Reply-To: <87vce0xah6.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 24
	Oct 2012 15:31:33 +0200")
Message-ID: <87a9v85l3p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > So,
	introducing an new option `wdired-keep-marker-rename'
	would IMHO make > sense. The default value could be t,
	at least that's what
	I think would > be most intuitive. I fixed this regression by adding
	`wdired-keep-marker-rename'. Thanks for the suggestion. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > So, introducing an new option `wdired-keep-marker-rename'
    would IMHO make > sense. The default value could be t, at least that's what
    I think would > be most intuitive. I fixed this regression by adding `wdired-keep-marker-rename'.
    Thanks for the suggestion. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> So, introducing an new option `wdired-keep-marker-rename' would IMHO make
> sense.  The default value could be t, at least that's what I think would
> be most intuitive.

I fixed this regression by adding `wdired-keep-marker-rename'.
Thanks for the suggestion.

When testing it, I noticed a random behavior of `wdired-do-renames' when
the marker is customized to a character.  The decision what character to put
depends on the position of point.  When point is at the top of the Dired
buffer, it uses a customized marker character.  When point is at the bottom,
it restores an old marker character.

The problem is that `dired-remove-file' doesn't remove file entries
(and neither `dired-rename-file') because files already have new renamed names
in the Dired buffer.  Whereas `dired-add-entry' adds duplicated file entries.

Fortunately, `revert-buffer' (called at the end of `wdired-finish-edit')
sorts out this mess caused by `dired-add-entry'.  But in `dired-revert'
it uses `dired-remember-marks' and `dired-restore-positions' to restore
markers.  So when duplicated file entries were added by `dired-add-entry'
at the top of the Dired buffer (in front of file entries edited by WDired),
it uses a customized marker character.  When duplicated file entries
were added at the bottom, it restores an old marker character because
`dired-restore-positions' in `dired-revert' gets markers from the
first duplicated file entry.

Do you have an idea how to fix this problem?  One way would be
instead of using `dired-add-file' to change markers in the remembered
variable `wdired-old-marks' and just call `dired-mark-remembered'
(before `revert-buffer' in `wdired-finish-edit') with the modified
list of markers for renamed files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 25 Oct 2012 09:11:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 25 05:11:19 2012
Received: from localhost ([127.0.0.1]:60692 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TRJTD-0005cE-In
	for submit <at> debbugs.gnu.org; Thu, 25 Oct 2012 05:11:19 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:33458
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TRJTB-0005c5-AT
	for 11795 <at> debbugs.gnu.org; Thu, 25 Oct 2012 05:11:17 -0400
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 2755A451CBFD;
	Thu, 25 Oct 2012 02:09:12 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN> <87vce0xah6.fsf@HIDDEN>
Date: Thu, 25 Oct 2012 12:03:35 +0300
In-Reply-To: <87vce0xah6.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 24
	Oct 2012 15:31:33 +0200")
Message-ID: <87r4om9b4o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > So,
	introducing an new option `wdired-keep-marker-rename'
	would IMHO make > sense. The default value could be t,
	at least that's what I think would > be most intuitive. Yes,
	I agree that introducing `wdired-keep-marker-rename'
	would be the best way to fix this. [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > So, introducing an new option `wdired-keep-marker-rename'
    would IMHO make > sense. The default value could be t, at least that's what
    I think would > be most intuitive. Yes, I agree that introducing `wdired-keep-marker-rename'
    would be the best way to fix this. [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> So, introducing an new option `wdired-keep-marker-rename' would IMHO make
> sense.  The default value could be t, at least that's what I think would
> be most intuitive.

Yes, I agree that introducing `wdired-keep-marker-rename' would be
the best way to fix this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 24 Oct 2012 13:33:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 24 09:33:24 2012
Received: from localhost ([127.0.0.1]:58989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TR15I-0004Gy-4l
	for submit <at> debbugs.gnu.org; Wed, 24 Oct 2012 09:33:24 -0400
Received: from mout.web.de ([212.227.17.11]:55195)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TR15F-0004Gk-H0
	for 11795 <at> debbugs.gnu.org; Wed, 24 Oct 2012 09:33:22 -0400
Received: from drachen.dragon ([89.204.137.163]) by smtp.web.de (mrweb002)
	with ESMTPSA (Nemesis) id 0M7blv-1TBhQb3j9D-00wkQJ;
	Wed, 24 Oct 2012 15:31:15 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<87sj95ad3l.fsf@HIDDEN>
Date: Wed, 24 Oct 2012 15:31:33 +0200
In-Reply-To: <87sj95ad3l.fsf@HIDDEN> (Juri Linkov's message of "Tue,
	23 Oct 2012 11:05:04 +0300")
Message-ID: <87vce0xah6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:4vFx8ro+2WQ1Ck1lEJLqXVbxVminu+4m54WaneyPkAV
	YtP9vF04jW1/jnrG8XQilmSsyzvcQuCoCYGOlcaQbGxKuJIWTd
	h69yFebdADenHHR689maMM+2pVLksv2kLaSJl5E0HSqZojnwTx
	wwE/5ndqdPidPxkm/S7jpuAS0MlYUcWyx09chJIpsQSd3YD3zh
	8ItxL+cOPTVAofAokw07FdfGXF+Ry+JjUVSN2Ojt44=
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: Juri Linkov writes: > > But shouldn't Wdired respect
	the user's
	setting of option > > `dired-keep-marker-rename'? IOW,
	shouldn't users be
	able to control > > whether > > exiting wdired removes marks? > > When
	`dired-keep-marker-rename'
	is customized to a character like ?R or ?M,
	> now `wdired-finish-edit' adds
	a new marker on the files renamed by wdired. > This is new behavior.
	Strictly speaking,
	it is consistent with the meaning > of `dired-keep-marker-rename',
	so I'm not sure if a new option is necessary > to control this. But at
	least
	when someone wants to put markers only on the > files moved by
	`dired-do-rename', but not on the files renamed by wdired,
	> this is still possible to do by
	adding to ~/.emacs something like: > > (defadvice wdired-finish-edit
	(around
	my-wdired-finish-edit act) > (let ((dired-keep-marker-rename t)) >
	ad-do-it)) [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 RCVD_IN_SORBS_WEB RBL: SORBS: sender is an abusable web server
	[89.204.137.163 listed in dnsbl.sorbs.net]
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [212.227.17.11 listed in list.dnswl.org]
	0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
	(michael_heerdegen[at]web.de)
	-0.7 RP_MATCHES_RCVD Envelope sender domain matches handover relay
	domain
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Juri Linkov writes: > > But shouldn't Wdired respect the user's
    setting of option > > `dired-keep-marker-rename'? IOW, shouldn't users be
    able to control > > whether > > exiting wdired removes marks? > > When `dired-keep-marker-rename'
    is customized to a character like ?R or ?M, > now `wdired-finish-edit' adds
    a new marker on the files renamed by wdired. > This is new behavior. Strictly
    speaking, it is consistent with the meaning > of `dired-keep-marker-rename',
    so I'm not sure if a new option is necessary > to control this. But at least
    when someone wants to put markers only on the > files moved by `dired-do-rename',
    but not on the files renamed by wdired, > this is still possible to do by
    adding to ~/.emacs something like: > > (defadvice wdired-finish-edit (around
    my-wdired-finish-edit act) > (let ((dired-keep-marker-rename t)) > ad-do-it))
    [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [89.204.137.163 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [212.227.17.11 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (michael_heerdegen[at]web.de)
 -0.7 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

Juri Linkov <juri@HIDDEN> writes:

> > But shouldn't Wdired respect the user's setting of option
> > `dired-keep-marker-rename'?  IOW, shouldn't users be able to control
> > whether
> > exiting wdired removes marks?
>
> When `dired-keep-marker-rename' is customized to a character like ?R or ?M,
> now `wdired-finish-edit' adds a new marker on the files renamed by wdired.
> This is new behavior.  Strictly speaking, it is consistent with the meaning
> of `dired-keep-marker-rename', so I'm not sure if a new option is necessary
> to control this.  But at least when someone wants to put markers only on the
> files moved by `dired-do-rename', but not on the files renamed by wdired,
> this is still possible to do by adding to ~/.emacs something like:
>
>   (defadvice wdired-finish-edit (around my-wdired-finish-edit act)
>     (let ((dired-keep-marker-rename t))
>       ad-do-it))

I think you're right, some people may want to have a behavior different
than that defined by `dired-keep-marker-rename'.  And we should avoid
the necessity for users to use something nontrivial like `defadvice' to
control this.

So, introducing an new option `wdired-keep-marker-rename' would IMHO make
sense.  The default value could be t, at least that's what I think would
be most intuitive.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 23 Oct 2012 08:10:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 23 04:10:19 2012
Received: from localhost ([127.0.0.1]:56920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TQZZ4-0000X6-Ri
	for submit <at> debbugs.gnu.org; Tue, 23 Oct 2012 04:10:19 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:53924
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TQZZ0-0000Wp-21
	for 11795 <at> debbugs.gnu.org; Tue, 23 Oct 2012 04:10:16 -0400
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 23374451CCFB
	for <11795 <at> debbugs.gnu.org>; Tue, 23 Oct 2012 01:08:21 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: 11795 <at> debbugs.gnu.org
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Organization: JURTA
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
Date: Tue, 23 Oct 2012 11:05:04 +0300
In-Reply-To: <06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN> (Drew Adams's
	message of "Wed, 27 Jun 2012 07:20:13 -0700")
Message-ID: <87sj95ad3l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: > But shouldn't Wdired respect the user's setting of
	option > `dired-keep-marker-rename'? IOW,
	shouldn't users be able to control whether
	> exiting wdired removes marks? When `dired-keep-marker-rename' is
	customized
	to a character like ?R or ?M, now `wdired-finish-edit' adds a new marker
	on the files renamed by wdired. This is new behavior. Strictly speaking,
	it
	is consistent with the meaning of `dired-keep-marker-rename', so I'm not
	sure if a new option is necessary to control this. But at least when
	someone
	wants to put markers only on the files moved by `dired-do-rename',
	but not on the files renamed by wdired,
	this is still possible to do by adding to
	~/.emacs something like: [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > But shouldn't Wdired respect the user's setting of option
    > `dired-keep-marker-rename'? IOW, shouldn't users be able to control whether
    > exiting wdired removes marks? When `dired-keep-marker-rename' is customized
    to a character like ?R or ?M, now `wdired-finish-edit' adds a new marker
   on the files renamed by wdired. This is new behavior. Strictly speaking, it
    is consistent with the meaning of `dired-keep-marker-rename', so I'm not
   sure if a new option is necessary to control this. But at least when someone
    wants to put markers only on the files moved by `dired-do-rename', but not
    on the files renamed by wdired, this is still possible to do by adding to
    ~/.emacs something like: [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> But shouldn't Wdired respect the user's setting of option
> `dired-keep-marker-rename'?  IOW, shouldn't users be able to control whether
> exiting wdired removes marks?

When `dired-keep-marker-rename' is customized to a character like ?R or ?M,
now `wdired-finish-edit' adds a new marker on the files renamed by wdired.
This is new behavior.  Strictly speaking, it is consistent with the meaning
of `dired-keep-marker-rename', so I'm not sure if a new option is necessary
to control this.  But at least when someone wants to put markers only on the
files moved by `dired-do-rename', but not on the files renamed by wdired,
this is still possible to do by adding to ~/.emacs something like:

  (defadvice wdired-finish-edit (around my-wdired-finish-edit act)
    (let ((dired-keep-marker-rename t))
      ad-do-it))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Oct 2012 09:23:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 18 05:23:30 2012
Received: from localhost ([127.0.0.1]:49387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TOmKA-00084D-9o
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 05:23:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55775)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TOmK8-000841-6o
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 05:23:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TOmIg-0000Ms-UC
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 05:21:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_HI autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:49225)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TOmIg-0000Mo-RD
	for submit <at> debbugs.gnu.org; Thu, 18 Oct 2012 05:21:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57696)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TOmIc-0004pT-8H
	for bug-gnu-emacs@HIDDEN; Thu, 18 Oct 2012 05:21:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TOmIV-0000Kc-HE
	for bug-gnu-emacs@HIDDEN; Thu, 18 Oct 2012 05:21:54 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:57917)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TOmIV-0000KQ-6V
	for bug-gnu-emacs@HIDDEN; Thu, 18 Oct 2012 05:21:47 -0400
Received: (qmail invoked by alias); 18 Oct 2012 09:16:10 -0000
Received: from unknown (EHLO [62.47.62.50]) [62.47.62.50]
	by mail.gmx.net (mp024) with SMTP; 18 Oct 2012 11:16:10 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX19PM3QDAUJPe6LrUvCq+OW4uaErZu/PdsdOTH/m82
	1WFw0c1GeWaix/
Message-ID: <507FC8C7.6000802@HIDDEN>
Date: Thu, 18 Oct 2012 11:15:51 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;	wdired: C-c C-c loses marks and positions
	of renamed files
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN>	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>	<871ul0bymm@HIDDEN>
	<87zk7ozman.fsf@HIDDEN>	<87d34kfxa3@HIDDEN>
	<87d34kzcr8.fsf@HIDDEN>	<873958b2cm.fsf@HIDDEN>
	<4FF40A79.5000707@HIDDEN>	<87ipcbmt6d.fsf@HIDDEN>
	<50348571.1070605@HIDDEN>	<87bohtlo9d@HIDDEN>
	<87a9xdoet6.fsf@HIDDEN>	<506C01ED.9000906@HIDDEN>
	<87y5j7jq5r.fsf@HIDDEN>	<507E7C54.4090003@HIDDEN>
	<87pq4h1l5q@HIDDEN>
In-Reply-To: <87pq4h1l5q@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

> FWIW I did some very basic testing yesterday.  Everything looked fine to
> me.
> 
> Michael, Martin, thanks for your work on this issue.

Thanks to you for testing.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2012 09:53:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 17 05:53:14 2012
Received: from localhost ([127.0.0.1]:47753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TOQJN-0006GS-4r
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2012 05:53:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48397)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <christopher@HIDDEN>) id 1TOQJK-0006GF-Mv
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2012 05:53:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1TOQHt-0000l8-Vf
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2012 05:51:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,GAPPY_SUBJECT,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:48479)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1TOQHt-0000l4-Sd
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2012 05:51:41 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47582)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1TOQHo-0000Lk-8v
	for bug-gnu-emacs@HIDDEN; Wed, 17 Oct 2012 05:51:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1TOQHi-0000kF-G3
	for bug-gnu-emacs@HIDDEN; Wed, 17 Oct 2012 05:51:36 -0400
Received: from ristopher.com ([146.185.21.93]:35628
	helo=saturn.ch.ristopher.com) by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1TOQHi-0000k8-7x
	for bug-gnu-emacs@HIDDEN; Wed, 17 Oct 2012 05:51:30 -0400
Received: by saturn.ch.ristopher.com (Postfix, from userid 0)
	id C812E1FF42; Wed, 17 Oct 2012 10:51:27 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=ch.ristopher.com;
	s=mail; t=1350467487;
	bh=umaIamdAXRFmSbA0Niy/2bKwHSXb3OH7skuHoM0391o=;
	h=From:To:Subject:In-Reply-To:Message-ID:References:MIME-Version:
	Content-Type:Date;
	b=dmKyyKrKNKK9v8pHUHMjGB0wFequ3RvfRP75d/r8T2bThJRkIuEB0gCDPnMabxxPx
	OOWT0XCyxBPnM6u7ruEjQ4ghVYdkdKTpk1DMNOdXASeFymGq6TeMnumSXUPmdAkYbE
	lHqicfTsX0z+eQ4o+Cj1d1X08q/ps4l1OBTdxwfg=
From: Christopher Schmidt <christopher@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
In-Reply-To: <507E7C54.4090003@HIDDEN> (martin rudalics's message of "Wed,
	17 Oct 2012 11:37:24 +0200")
Message-ID: <87pq4h1l5q@HIDDEN>
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
	<873958b2cm.fsf@HIDDEN> <4FF40A79.5000707@HIDDEN>
	<87ipcbmt6d.fsf@HIDDEN> <50348571.1070605@HIDDEN>
	<87bohtlo9d@HIDDEN> <87a9xdoet6.fsf@HIDDEN>
	<506C01ED.9000906@HIDDEN> <87y5j7jq5r.fsf@HIDDEN>
	<507E7C54.4090003@HIDDEN>
Mail-Followup-To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain
Date: Wed, 17 Oct 2012 10:51:27 +0100 (BST)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

martin rudalics <rudalics@HIDDEN> writes:
> Christopher can you check Michael's patch?  Pretty please.
>
> Thanks, martin

martin rudalics <rudalics@HIDDEN> writes:
>> After performing different tests, my patch looks sane so far.  IMHO
>> it can be installed now.
>
> Installed as revision 110564 on trunk.  Bug closed.

FWIW I did some very basic testing yesterday.  Everything looked fine to
me.

Michael, Martin, thanks for your work on this issue.

        Christopher




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795-done <at> debbugs.gnu.org:


Received: (at 11795-done) by debbugs.gnu.org; 17 Oct 2012 09:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 17 05:38:55 2012
Received: from localhost ([127.0.0.1]:47713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TOQ5X-0005vR-Mv
	for submit <at> debbugs.gnu.org; Wed, 17 Oct 2012 05:38:55 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:51690)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TOQ5V-0005vF-7Y
	for 11795-done <at> debbugs.gnu.org; Wed, 17 Oct 2012 05:38:53 -0400
Received: (qmail invoked by alias); 17 Oct 2012 09:37:28 -0000
Received: from 62-47-52-36.adsl.highway.telekom.at (EHLO [62.47.52.36])
	[62.47.52.36]
	by mail.gmx.net (mp072) with SMTP; 17 Oct 2012 11:37:28 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+66tg8F7K6KnAMTo++13w4S4EcE+bVVeIQ1fjMEh
	HzB6c+jOLCI9r0
Message-ID: <507E7C54.4090003@HIDDEN>
Date: Wed, 17 Oct 2012 11:37:24 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: 11795-done <at> debbugs.gnu.org
Subject: Re: bug#11795: 24.1.50;	wdired: C-c C-c loses marks and positions
	of renamed files
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN>	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>	<871ul0bymm@HIDDEN>
	<87zk7ozman.fsf@HIDDEN>	<87d34kfxa3@HIDDEN>
	<87d34kzcr8.fsf@HIDDEN>	<873958b2cm.fsf@HIDDEN>
	<4FF40A79.5000707@HIDDEN>	<87ipcbmt6d.fsf@HIDDEN>
	<50348571.1070605@HIDDEN>	<87bohtlo9d@HIDDEN>
	<87a9xdoet6.fsf@HIDDEN>	<506C01ED.9000906@HIDDEN>
	<87y5j7jq5r.fsf@HIDDEN>
In-Reply-To: <87y5j7jq5r.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > After performing different tests,
	my patch looks sane so
	far. IMHO it > can be installed now. Installed as revision 110564 on
	trunk. Bug closed. Thanks, martin [...] 
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
	(rudalics[at]gmx.at)
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [213.165.64.22 listed in list.dnswl.org]
	-0.0 SPF_PASS               SPF: sender matches SPF record
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795-done
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > After performing different tests, my patch looks sane so
    far. IMHO it > can be installed now. Installed as revision 110564 on trunk.
    Bug closed. Thanks, martin [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [213.165.64.22 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

> After performing different tests, my patch looks sane so far.  IMHO it
> can be installed now.

Installed as revision 110564 on trunk.  Bug closed.

Thanks, martin





Notification sent to michael_heerdegen@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to martin rudalics <rudalics@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 16 Oct 2012 09:41:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 16 05:41:18 2012
Received: from localhost ([127.0.0.1]:46171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TO3eH-0003Nq-At
	for submit <at> debbugs.gnu.org; Tue, 16 Oct 2012 05:41:17 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:40354)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TO3eG-0003Nf-5q
	for 11795 <at> debbugs.gnu.org; Tue, 16 Oct 2012 05:41:16 -0400
Received: (qmail invoked by alias); 16 Oct 2012 09:39:53 -0000
Received: from 62-47-36-151.adsl.highway.telekom.at (EHLO [62.47.36.151])
	[62.47.36.151]
	by mail.gmx.net (mp039) with SMTP; 16 Oct 2012 11:39:53 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+pCbdLHPWpLYULx5E7j4zVkfkVFkbZUhE37Qy47x
	nUlixI0o5l24pN
Message-ID: <507D2B66.5080808@HIDDEN>
Date: Tue, 16 Oct 2012 11:39:50 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;	wdired: C-c C-c loses marks and positions
	of renamed files
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN>	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>	<871ul0bymm@HIDDEN>
	<87zk7ozman.fsf@HIDDEN>	<87d34kfxa3@HIDDEN>
	<87d34kzcr8.fsf@HIDDEN>	<873958b2cm.fsf@HIDDEN>
	<4FF40A79.5000707@HIDDEN>	<87ipcbmt6d.fsf@HIDDEN>
	<50348571.1070605@HIDDEN>	<87bohtlo9d@HIDDEN>
	<87a9xdoet6.fsf@HIDDEN>	<506C01ED.9000906@HIDDEN>
	<87y5j7jq5r.fsf@HIDDEN>
In-Reply-To: <87y5j7jq5r.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: >> Any chances for a fix to this in the next days? > >
	After
	performing different tests, my patch looks sane so far. IMHO it > can be
	installed now. Christopher can you check Michael's patch? Pretty
	please. [...]
	Content analysis details:   (2.8 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [213.165.64.23 listed in list.dnswl.org]
	0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
	(rudalics[at]gmx.at)
	-0.0 SPF_PASS               SPF: sender matches SPF record
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
	2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Debbugs-Envelope-To: 11795
Cc: Christopher Schmidt <christopher@HIDDEN>, 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> Any chances for a fix to this in the next days? > > After
    performing different tests, my patch looks sane so far. IMHO it > can be
   installed now. Christopher can you check Michael's patch? Pretty please. [...]
    
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [213.165.64.23 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t

>> Any chances for a fix to this in the next days?
> 
> After performing different tests, my patch looks sane so far.  IMHO it
> can be installed now.

Christopher can you check Michael's patch?  Pretty please.

Thanks, martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Oct 2012 23:02:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 15 19:02:47 2012
Received: from localhost ([127.0.0.1]:45849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TNtgM-0005RP-Io
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2012 19:02:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56552)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TNtgK-0005RC-FS
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2012 19:02:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TNtf6-0003Fd-5q
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2012 19:01:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_HI autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:60131)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TNtf6-0003FW-0Y
	for submit <at> debbugs.gnu.org; Mon, 15 Oct 2012 19:01:28 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46972)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TNtf4-0004WT-S1
	for bug-gnu-emacs@HIDDEN; Mon, 15 Oct 2012 19:01:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TNtf3-0003Ek-Gx
	for bug-gnu-emacs@HIDDEN; Mon, 15 Oct 2012 19:01:26 -0400
Received: from mout.web.de ([212.227.15.4]:64022)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TNtf3-0003EZ-6q
	for bug-gnu-emacs@HIDDEN; Mon, 15 Oct 2012 19:01:25 -0400
Received: from drachen.dragon ([89.204.139.251]) by smtp.web.de (mrweb101)
	with ESMTPSA (Nemesis) id 0MGiUP-1TAzNC1Ajh-00DTI4;
	Tue, 16 Oct 2012 01:01:24 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
	<873958b2cm.fsf@HIDDEN> <4FF40A79.5000707@HIDDEN>
	<87ipcbmt6d.fsf@HIDDEN> <50348571.1070605@HIDDEN>
	<87bohtlo9d@HIDDEN> <87a9xdoet6.fsf@HIDDEN>
	<506C01ED.9000906@HIDDEN>
Date: Tue, 16 Oct 2012 01:01:36 +0200
In-Reply-To: <506C01ED.9000906@HIDDEN> (martin rudalics's message of "Wed, 03
	Oct 2012 11:14:21 +0200")
Message-ID: <87y5j7jq5r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V02:K0:njv8TXt71ClixLR48P2DsG6Ta2KazvPd8CAhTfxcRNV
	HCn7JBdoQRksw6aXlcA6quBw0aiao+sy0ZhT5U2o6Zjl/B+McU
	pJjk2mADMINziDN7/KJcgEyI/M1YwMpc2avarqRG/HWNses3zG
	Tx9IY9LwFy2BjqVbMI3lejvkETrbLZbNBlWRpGwZJ993F9S4om
	DggIrj4Vgto7jRR/vizic1p85zXfeYS5t6UTg+g5ZU=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

--=-=-=
Content-Type: text/plain

martin rudalics <rudalics@HIDDEN> writes:

> Any chances for a fix to this in the next days?

After performing different tests, my patch looks sane so far.  IMHO it
can be installed now.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment; filename=wdired.patch

*** /home/micha/today/wdired.el	2012-10-09 02:27:03.638708806 +0200
--- /home/micha/today/wdired-new.el	2012-10-09 02:24:13.498706008 +0200
***************
*** 180,186 ****
  (defvar wdired-col-perm) ;; Column where the permission bits start
  (defvar wdired-old-content)
  (defvar wdired-old-point)
! 
  
  (defun wdired-mode ()
    "Writable Dired (WDired) mode.
--- 180,186 ----
  (defvar wdired-col-perm) ;; Column where the permission bits start
  (defvar wdired-old-content)
  (defvar wdired-old-point)
! (defvar wdired-old-marks)
  
  (defun wdired-mode ()
    "Writable Dired (WDired) mode.
***************
*** 221,226 ****
--- 221,228 ----
      (error "Not a Dired buffer"))
    (set (make-local-variable 'wdired-old-content)
         (buffer-substring (point-min) (point-max)))
+   (set (make-local-variable 'wdired-old-marks)
+        (dired-remember-marks (point-min) (point-max)))
    (set (make-local-variable 'wdired-old-point) (point))
    (set (make-local-variable 'query-replace-skip-read-only) t)
    (set (make-local-variable 'isearch-filter-predicate)
***************
*** 430,477 ****
        (let* ((rename (pop renames))
               (file-new (cdr rename)))
          (cond
!          ((rassoc file-new renames)
!           (error "Trying to rename 2 files to the same name"))
!          ((assoc file-new renames)
!           ;; Renaming to a file name that already exists but will itself be
!           ;; renamed as well.  Let's wait until that one gets renamed.
!           (push rename residue))
!          ((and (assoc file-new residue)
!                ;; Make sure the file really exists: if it doesn't it's
!                ;; not really a conflict.  It might be a temp-file generated
!                ;; specifically to break a circular renaming.
!                (file-exists-p file-new))
!           ;; Renaming to a file name that already exists, needed to be renamed,
!           ;; but whose renaming could not be performed right away.
!           (if (or progress renames)
!               ;; There's still a chance the conflict will be resolved.
!               (push rename residue)
!             ;; We have not made any progress and we've reached the end of
!             ;; the renames, so we really have a circular conflict, and we
!             ;; have to forcefully break the cycle.
!             (message "Circular renaming: using temporary file name")
!             (let ((tmp (make-temp-name file-new)))
!               (push (cons (car rename) tmp) renames)
!               (push (cons tmp file-new) residue))))
!          (t
!           (setq progress t)
!           (let ((file-ori (car rename)))
!             (if wdired-use-interactive-rename
!                 (wdired-search-and-rename file-ori file-new)
!               ;; If dired-rename-file autoloads dired-aux while
!               ;; dired-backup-overwrite is locally bound,
!               ;; dired-backup-overwrite won't be initialized.
!               ;; So we must ensure dired-aux is loaded.
!               (require 'dired-aux)
!               (condition-case err
!                   (let ((dired-backup-overwrite nil))
!                     (dired-rename-file file-ori file-new
!                                        overwrite))
!                 (error
!                  (setq errors (1+ errors))
!                  (dired-log (concat "Rename `" file-ori "' to `"
!                                     file-new "' failed:\n%s\n")
!                             err)))))))))
      errors))
  
  
--- 432,485 ----
        (let* ((rename (pop renames))
               (file-new (cdr rename)))
          (cond
!           ((rassoc file-new renames)
!            (error "Trying to rename 2 files to the same name"))
!           ((assoc file-new renames)
!            ;; Renaming to a file name that already exists but will itself be
!            ;; renamed as well.  Let's wait until that one gets renamed.
!            (push rename residue))
!           ((and (assoc file-new residue)
!                 ;; Make sure the file really exists: if it doesn't it's
!                 ;; not really a conflict.  It might be a temp-file generated
!                 ;; specifically to break a circular renaming.
!                 (file-exists-p file-new))
!            ;; Renaming to a file name that already exists, needed to be renamed,
!            ;; but whose renaming could not be performed right away.
!            (if (or progress renames)
!                ;; There's still a chance the conflict will be resolved.
!                (push rename residue)
!              ;; We have not made any progress and we've reached the end of
!              ;; the renames, so we really have a circular conflict, and we
!              ;; have to forcefully break the cycle.
!              (message "Circular renaming: using temporary file name")
!              (let ((tmp (make-temp-name file-new)))
!                (push (cons (car rename) tmp) renames)
!                (push (cons tmp file-new) residue))))
!           (t
!            (setq progress t)
!            (let* ((file-ori (car rename))
!                   (old-mark (cdr (assoc file-ori wdired-old-marks))))
!              (if wdired-use-interactive-rename
!                  (wdired-search-and-rename file-ori file-new)
!                ;; If dired-rename-file autoloads dired-aux while
!                ;; dired-backup-overwrite is locally bound,
!                ;; dired-backup-overwrite won't be initialized.
!                ;; So we must ensure dired-aux is loaded.
!                (require 'dired-aux)
!                (condition-case err
!                    (let ((dired-backup-overwrite nil))
!                      (dired-rename-file file-ori file-new
!                                         overwrite)
!                      (dired-remove-file file-ori)
!                      (dired-add-file file-new (if (integerp dired-keep-marker-rename)
!                                                   dired-keep-marker-rename
!                                                 old-mark)))
!                  (error
!                   (setq errors (1+ errors))
!                   (dired-log (concat "Rename `" file-ori "' to `"
!                                      file-new "' failed:\n%s\n")
!                              err)
!                   (dired-add-entry file-ori old-mark)))))))))
      errors))
  
  

--=-=-=
Content-Type: text/plain



Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 9 Oct 2012 00:42:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 08 20:42:18 2012
Received: from localhost ([127.0.0.1]:34422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLNtp-0001nE-GW
	for submit <at> debbugs.gnu.org; Mon, 08 Oct 2012 20:42:17 -0400
Received: from mout.web.de ([212.227.17.11]:54584)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TLNtl-0001mw-Nt
	for 11795 <at> debbugs.gnu.org; Mon, 08 Oct 2012 20:42:15 -0400
Received: from drachen.dragon ([89.204.130.248]) by smtp.web.de (mrweb102)
	with ESMTPSA (Nemesis) id 0MRlIL-1SwokQ3nNh-00SzkY;
	Tue, 09 Oct 2012 02:41:37 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
	<873958b2cm.fsf@HIDDEN> <4FF40A79.5000707@HIDDEN>
	<87ipcbmt6d.fsf@HIDDEN> <50348571.1070605@HIDDEN>
	<87bohtlo9d@HIDDEN> <87a9xdoet6.fsf@HIDDEN>
	<506C01ED.9000906@HIDDEN>
Date: Tue, 09 Oct 2012 02:41:42 +0200
In-Reply-To: <506C01ED.9000906@HIDDEN> (martin rudalics's message of "Wed, 03
	Oct 2012 11:14:21 +0200")
Message-ID: <87d30siiih.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V02:K0:ENT8Y34iWACYrgAr70h0X+TzRP2Yk5Mqu78fhUUzbPB
	DXQMync2Thk8bJGWj3umig3R0ojX4gvB8NnsTGguPshH40es55
	tpyi1pu+8D809CsKd5gyaf7BIn57+vfpBfrcWErY0lJURxMz95
	y9VEibFWHXAsL5S4qSHiqBH8faYR7Fk0LNjo5HPoyMg2nXANev
	u3lLBmarngcOqkbq+aQ+574elNMx1yF86T+95NFswE=
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: 11795
Cc: christopher@HIDDEN, 11795 <at> debbugs.gnu.org,
	heerdegen.michael@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.6 (/)

--=-=-=
Content-Type: text/plain

Hello Martin,

> Any chances for a fix to this in the next days?

Sorry for the delay.

The patch we had so far for this had several problems:

- It sometimes failed to collect file marks because it did that when the
  buffer had already been modified.

- It failed to restore the marks of files that couldn't be renamed
  (e.g. in read-only dirs)

- It didn't propagate the name changes to other dired buffers

I created a new fix that should take care of these problems.  I wanted
to make some more sanity tests today, unfortunately I'm ill and don't
feel well.  I'll try to do this tomorrow.

So, this is the new patch:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment; filename=wdired.patch

*** /home/micha/today/wdired.el	2012-10-09 02:27:03.638708806 +0200
--- /home/micha/today/wdired-new.el	2012-10-09 02:24:13.498706008 +0200
***************
*** 180,186 ****
  (defvar wdired-col-perm) ;; Column where the permission bits start
  (defvar wdired-old-content)
  (defvar wdired-old-point)
! 
  
  (defun wdired-mode ()
    "Writable Dired (WDired) mode.
--- 180,186 ----
  (defvar wdired-col-perm) ;; Column where the permission bits start
  (defvar wdired-old-content)
  (defvar wdired-old-point)
! (defvar wdired-old-marks)
  
  (defun wdired-mode ()
    "Writable Dired (WDired) mode.
***************
*** 221,226 ****
--- 221,228 ----
      (error "Not a Dired buffer"))
    (set (make-local-variable 'wdired-old-content)
         (buffer-substring (point-min) (point-max)))
+   (set (make-local-variable 'wdired-old-marks)
+        (dired-remember-marks (point-min) (point-max)))
    (set (make-local-variable 'wdired-old-point) (point))
    (set (make-local-variable 'query-replace-skip-read-only) t)
    (set (make-local-variable 'isearch-filter-predicate)
***************
*** 430,477 ****
        (let* ((rename (pop renames))
               (file-new (cdr rename)))
          (cond
!          ((rassoc file-new renames)
!           (error "Trying to rename 2 files to the same name"))
!          ((assoc file-new renames)
!           ;; Renaming to a file name that already exists but will itself be
!           ;; renamed as well.  Let's wait until that one gets renamed.
!           (push rename residue))
!          ((and (assoc file-new residue)
!                ;; Make sure the file really exists: if it doesn't it's
!                ;; not really a conflict.  It might be a temp-file generated
!                ;; specifically to break a circular renaming.
!                (file-exists-p file-new))
!           ;; Renaming to a file name that already exists, needed to be renamed,
!           ;; but whose renaming could not be performed right away.
!           (if (or progress renames)
!               ;; There's still a chance the conflict will be resolved.
!               (push rename residue)
!             ;; We have not made any progress and we've reached the end of
!             ;; the renames, so we really have a circular conflict, and we
!             ;; have to forcefully break the cycle.
!             (message "Circular renaming: using temporary file name")
!             (let ((tmp (make-temp-name file-new)))
!               (push (cons (car rename) tmp) renames)
!               (push (cons tmp file-new) residue))))
!          (t
!           (setq progress t)
!           (let ((file-ori (car rename)))
!             (if wdired-use-interactive-rename
!                 (wdired-search-and-rename file-ori file-new)
!               ;; If dired-rename-file autoloads dired-aux while
!               ;; dired-backup-overwrite is locally bound,
!               ;; dired-backup-overwrite won't be initialized.
!               ;; So we must ensure dired-aux is loaded.
!               (require 'dired-aux)
!               (condition-case err
!                   (let ((dired-backup-overwrite nil))
!                     (dired-rename-file file-ori file-new
!                                        overwrite))
!                 (error
!                  (setq errors (1+ errors))
!                  (dired-log (concat "Rename `" file-ori "' to `"
!                                     file-new "' failed:\n%s\n")
!                             err)))))))))
      errors))
  
  
--- 432,485 ----
        (let* ((rename (pop renames))
               (file-new (cdr rename)))
          (cond
!           ((rassoc file-new renames)
!            (error "Trying to rename 2 files to the same name"))
!           ((assoc file-new renames)
!            ;; Renaming to a file name that already exists but will itself be
!            ;; renamed as well.  Let's wait until that one gets renamed.
!            (push rename residue))
!           ((and (assoc file-new residue)
!                 ;; Make sure the file really exists: if it doesn't it's
!                 ;; not really a conflict.  It might be a temp-file generated
!                 ;; specifically to break a circular renaming.
!                 (file-exists-p file-new))
!            ;; Renaming to a file name that already exists, needed to be renamed,
!            ;; but whose renaming could not be performed right away.
!            (if (or progress renames)
!                ;; There's still a chance the conflict will be resolved.
!                (push rename residue)
!              ;; We have not made any progress and we've reached the end of
!              ;; the renames, so we really have a circular conflict, and we
!              ;; have to forcefully break the cycle.
!              (message "Circular renaming: using temporary file name")
!              (let ((tmp (make-temp-name file-new)))
!                (push (cons (car rename) tmp) renames)
!                (push (cons tmp file-new) residue))))
!           (t
!            (setq progress t)
!            (let* ((file-ori (car rename))
!                   (old-mark (cdr (assoc file-ori wdired-old-marks))))
!              (if wdired-use-interactive-rename
!                  (wdired-search-and-rename file-ori file-new)
!                ;; If dired-rename-file autoloads dired-aux while
!                ;; dired-backup-overwrite is locally bound,
!                ;; dired-backup-overwrite won't be initialized.
!                ;; So we must ensure dired-aux is loaded.
!                (require 'dired-aux)
!                (condition-case err
!                    (let ((dired-backup-overwrite nil))
!                      (dired-rename-file file-ori file-new
!                                         overwrite)
!                      (dired-remove-file file-ori)
!                      (dired-add-file file-new (if (integerp dired-keep-marker-rename)
!                                                   dired-keep-marker-rename
!                                                 old-mark)))
!                  (error
!                   (setq errors (1+ errors))
!                   (dired-log (concat "Rename `" file-ori "' to `"
!                                      file-new "' failed:\n%s\n")
!                              err)
!                   (dired-add-entry file-ori old-mark)))))))))
      errors))
  
  

--=-=-=
Content-Type: text/plain



Regards,

Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Oct 2012 07:05:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 05 03:05:38 2012
Received: from localhost ([127.0.0.1]:54997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TK1ya-0000oc-Ne
	for submit <at> debbugs.gnu.org; Fri, 05 Oct 2012 03:05:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38045)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TK1yY-0000oQ-HX
	for submit <at> debbugs.gnu.org; Fri, 05 Oct 2012 03:05:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TK1yE-0006fk-Fh
	for submit <at> debbugs.gnu.org; Fri, 05 Oct 2012 03:05:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_HI autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:60871)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TK1yE-0006fW-DC
	for submit <at> debbugs.gnu.org; Fri, 05 Oct 2012 03:05:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54774)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TK1yD-0004cQ-BY
	for bug-gnu-emacs@HIDDEN; Fri, 05 Oct 2012 03:05:14 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TK1yC-0006dE-9n
	for bug-gnu-emacs@HIDDEN; Fri, 05 Oct 2012 03:05:13 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:60719)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TK1yC-0006bl-0c
	for bug-gnu-emacs@HIDDEN; Fri, 05 Oct 2012 03:05:12 -0400
Received: (qmail invoked by alias); 05 Oct 2012 07:05:09 -0000
Received: from 62-47-57-32.adsl.highway.telekom.at (EHLO [62.47.57.32])
	[62.47.57.32]
	by mail.gmx.net (mp069) with SMTP; 05 Oct 2012 09:05:09 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+bajJLiIab7jK4uQyV79Q+4YXotQIsPiGtTAQshn
	ovQ7mSy6Sdpz9+
Message-ID: <506E86A6.5020008@HIDDEN>
Date: Fri, 05 Oct 2012 09:05:10 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50; wdired: C-c C-c loses marks and positions
	of renamed files
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN>	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>	<871ul0bymm@HIDDEN>
	<87zk7ozman.fsf@HIDDEN>	<87d34kfxa3@HIDDEN>
	<87d34kzcr8.fsf@HIDDEN>	<873958b2cm.fsf@HIDDEN>
	<4FF40A79.5000707@HIDDEN>	<87ipcbmt6d.fsf@HIDDEN>
	<50348571.1070605@HIDDEN>	<87bohtlo9d@HIDDEN>
	<87a9xdoet6.fsf@HIDDEN>	<506C01ED.9000906@HIDDEN>
	<87626phk2m.fsf@HIDDEN>
In-Reply-To: <87626phk2m.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

 > Martin, I would rather like to discuss first what we do with bug#12394.
 > Can you please have a look?  It would be good to know what we want to
 > change for that bug before applying a patch for this.

IIRC `wdired' is full of such niceties.  Here the problem is that
`dired-move-to-filename' moves to the start of the old filename,
skipping the prepended string.  Maybe it's sufficient to remove that
call as in the patch below since the subsequent

(search-forward (wdired-get-filename t) nil t)

should move to the right position anyway.  If not, we'll have to rewrite
this function from scratch.

martin

*** lisp/wdired.el	2012-08-05 04:19:21 +0000
--- lisp/wdired.el	2012-10-05 06:36:43 +0000
***************
*** 506,512 ****
               (progn
                 (setq done t)
                 (let ((inhibit-read-only t))
!                 (dired-move-to-filename)
                   (search-forward (wdired-get-filename t) nil t)
                   (replace-match (file-name-nondirectory filename-ori) t t))
                 (dired-do-create-files-regexp
--- 506,512 ----
               (progn
                 (setq done t)
                 (let ((inhibit-read-only t))
! ;;                 (dired-move-to-filename)
                   (search-forward (wdired-get-filename t) nil t)
                   (replace-match (file-name-nondirectory filename-ori) t t))
                 (dired-do-create-files-regexp





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Oct 2012 23:52:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 04 19:52:18 2012
Received: from localhost ([127.0.0.1]:54842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TJvDF-0007xE-ST
	for submit <at> debbugs.gnu.org; Thu, 04 Oct 2012 19:52:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50445)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TJvDE-0007x2-AJ
	for submit <at> debbugs.gnu.org; Thu, 04 Oct 2012 19:52:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TJvD0-00054f-Fz
	for submit <at> debbugs.gnu.org; Thu, 04 Oct 2012 19:52:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT, RCVD_IN_DNSWL_HI,
	RCVD_IN_XBL autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56248)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TJvD0-00054b-D6
	for submit <at> debbugs.gnu.org; Thu, 04 Oct 2012 19:52:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41094)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TJvCz-0006Ue-89
	for bug-gnu-emacs@HIDDEN; Thu, 04 Oct 2012 19:52:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TJvCy-00054D-8s
	for bug-gnu-emacs@HIDDEN; Thu, 04 Oct 2012 19:52:01 -0400
Received: from mout.web.de ([212.227.15.4]:55750)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1TJvCx-00052p-VK
	for bug-gnu-emacs@HIDDEN; Thu, 04 Oct 2012 19:52:00 -0400
Received: from drachen.dragon ([89.204.138.56]) by smtp.web.de (mrweb001) with
	ESMTPSA (Nemesis) id 0MINMF-1TGMR00BrD-003wPH;
	Fri, 05 Oct 2012 01:51:58 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
	<873958b2cm.fsf@HIDDEN> <4FF40A79.5000707@HIDDEN>
	<87ipcbmt6d.fsf@HIDDEN> <50348571.1070605@HIDDEN>
	<87bohtlo9d@HIDDEN> <87a9xdoet6.fsf@HIDDEN>
	<506C01ED.9000906@HIDDEN>
Date: Fri, 05 Oct 2012 01:52:01 +0200
In-Reply-To: <506C01ED.9000906@HIDDEN> (martin rudalics's message of "Wed, 03
	Oct 2012 11:14:21 +0200")
Message-ID: <87626phk2m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:ALWNgn46XdpRu5cNyi4lVsN1qjmYJyfCEEcLgKTtaQo
	va2AU7b4zXKJmBPHys4vvdjAx+8TTP+hvHOZfI+U2Sbs2fV3KJ
	/aTJYiDQ/t0uW1KUqdeAHnC62E8ohTXcuMlw/InOp1vvF+fi8f
	B7QOztXI84tgp7Rkkl8M6bJEVuq2gqsjfy75DVLE3WFQAEqlfo
	VS16YS6GHYnjIRUIGCLcgAoZOaRYAMQZXRIRsIZcUY=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: submit
Cc: Martin Rudalics <rudalics@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

martin rudalics <rudalics@HIDDEN> writes:

> > Martin, please wait a moment.  I'll prepare a patch that DTRT.
>
> Any chances for a fix to this in the next days?

Martin, I would rather like to discuss first what we do with bug#12394.
Can you please have a look?  It would be good to know what we want to
change for that bug before applying a patch for this.


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Oct 2012 09:15:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 03 05:15:11 2012
Received: from localhost ([127.0.0.1]:38627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TJL2s-0001sZ-Lj
	for submit <at> debbugs.gnu.org; Wed, 03 Oct 2012 05:15:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54885)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1TJL2q-0001sS-Fm
	for submit <at> debbugs.gnu.org; Wed, 03 Oct 2012 05:15:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TJL2A-0001Fn-KO
	for submit <at> debbugs.gnu.org; Wed, 03 Oct 2012 05:14:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_HI autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:33737)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TJL2A-0001Fj-IQ
	for submit <at> debbugs.gnu.org; Wed, 03 Oct 2012 05:14:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51905)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TJL24-0003Ut-RO
	for bug-gnu-emacs@HIDDEN; Wed, 03 Oct 2012 05:14:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TJL1z-0001Dy-6Q
	for bug-gnu-emacs@HIDDEN; Wed, 03 Oct 2012 05:14:20 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:49018)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1TJL1y-0001Dl-Rd
	for bug-gnu-emacs@HIDDEN; Wed, 03 Oct 2012 05:14:15 -0400
Received: (qmail invoked by alias); 03 Oct 2012 09:14:12 -0000
Received: from 62-47-56-28.adsl.highway.telekom.at (EHLO [62.47.56.28])
	[62.47.56.28]
	by mail.gmx.net (mp012) with SMTP; 03 Oct 2012 11:14:12 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX18YUY4OE+4YwQVF5lOUah6L5pHcBX4QCrCXPbhwN9
	fV6JDVuHFdd1ut
Message-ID: <506C01ED.9000906@HIDDEN>
Date: Wed, 03 Oct 2012 11:14:21 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50; wdired: C-c C-c loses marks and positions
	of renamed files
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN>	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>	<871ul0bymm@HIDDEN>
	<87zk7ozman.fsf@HIDDEN>	<87d34kfxa3@HIDDEN>
	<87d34kzcr8.fsf@HIDDEN>	<873958b2cm.fsf@HIDDEN>
	<4FF40A79.5000707@HIDDEN>	<87ipcbmt6d.fsf@HIDDEN>
	<50348571.1070605@HIDDEN>	<87bohtlo9d@HIDDEN>
	<87a9xdoet6.fsf@HIDDEN>
In-Reply-To: <87a9xdoet6.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, Christopher Schmidt <christopher@HIDDEN>,
	Michael Heerdegen <heerdegen.michael@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

> Actually, nothing was applied at all to wdired.el.
> 
> Martin, please wait a moment.  I'll prepare a patch that DTRT.

Any chances for a fix to this in the next days?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2012 17:24:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 29 13:24:10 2012
Received: from localhost ([127.0.0.1]:56263 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T6lzu-00006i-6N
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 13:24:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54404)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1T6lzr-00006a-7V
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 13:24:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1T6lyn-0001NI-6u
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 13:23:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_HI autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:34915)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1T6lyn-0001NE-3a
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 13:23:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38995)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1T6lym-00075q-8r
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 13:23:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1T6lyl-0001N3-DM
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 13:23:00 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:37828)
	by eggs.gnu.org with smtp (Exim 4.71)
	(envelope-from <rudalics@HIDDEN>) id 1T6lyl-0001Mv-30
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 13:22:59 -0400
Received: (qmail invoked by alias); 29 Aug 2012 17:22:57 -0000
Received: from 62-47-54-149.adsl.highway.telekom.at (EHLO [62.47.54.149])
	[62.47.54.149]
	by mail.gmx.net (mp038) with SMTP; 29 Aug 2012 19:22:57 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX190DphERKl0rsJt1VjJw2z+rgDiSiIeIguAnFnByg
	6KwdzbrkT965+g
Message-ID: <503E4FEE.7030300@HIDDEN>
Date: Wed, 29 Aug 2012 19:22:54 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50; wdired: C-c C-c loses marks and positions
	of renamed files
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN>	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>	<871ul0bymm@HIDDEN>
	<87zk7ozman.fsf@HIDDEN>	<87d34kfxa3@HIDDEN>
	<87d34kzcr8.fsf@HIDDEN>	<873958b2cm.fsf@HIDDEN>
	<4FF40A79.5000707@HIDDEN>	<87ipcbmt6d.fsf@HIDDEN>
	<50348571.1070605@HIDDEN>	<87bohtlo9d@HIDDEN>
	<87a9xdoet6.fsf@HIDDEN>
In-Reply-To: <87a9xdoet6.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, Christopher Schmidt <christopher@HIDDEN>,
	Michael Heerdegen <heerdegen.michael@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

> Actually, nothing was applied at all to wdired.el.
> 
> Martin, please wait a moment.  I'll prepare a patch that DTRT.

Probably my bad.  Take all the time you need to DTRT.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2012 16:16:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 29 12:16:27 2012
Received: from localhost ([127.0.0.1]:56154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T6kwN-00067i-62
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 12:16:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55998)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1T6kwK-00067Z-4m
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 12:16:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1T6kvA-0002Jn-I0
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 12:15:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_HI autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:57394)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1T6kvA-0002Ie-Ec
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 12:15:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60630)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1T6ksp-0001FH-FF
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 12:12:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1T6ksl-0001fh-FU
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 12:12:47 -0400
Received: from mout.web.de ([212.227.15.3]:57590)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1T6ksl-0001fb-6I
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 12:12:43 -0400
Received: from snow.dragon ([89.204.138.216]) by smtp.web.de (mrweb003) with
	ESMTPSA (Nemesis) id 0LcPRO-1TVbIf3nra-00jD4n; Wed, 29 Aug 2012 18:12:41
	+0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
	<873958b2cm.fsf@HIDDEN> <4FF40A79.5000707@HIDDEN>
	<87ipcbmt6d.fsf@HIDDEN> <50348571.1070605@HIDDEN>
	<87bohtlo9d@HIDDEN>
Date: Wed, 29 Aug 2012 18:15:01 +0200
In-Reply-To: <87bohtlo9d@HIDDEN> (Christopher Schmidt's message of
	"Wed, 29 Aug 2012 16:19:37 +0100 (BST)")
Message-ID: <87a9xdoet6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:ynNf+KjmezAxavX1rFItixgNuFJDjEs0MuP/cwrxcwt
	j8L2s+HlrcAlg5E+vTZvfH4M5HiKpUjPxteSO4/XqM28K9prfn
	vjLgwtE8DKLWbGEEL+1optAnJ5sJxgnFdL2tBlWYL3zPacdLOD
	uiNZbjBbM8IAYhOKaeLks7oxK05TjsxaWNH+tfhU+H8avvohXu
	9PPIiLU7hSPZBVPjIXpA4OIT6ZGqqwxL4/KzqLTb5M=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
Cc: martin rudalics <rudalics@HIDDEN>,
	Christopher Schmidt <christopher@HIDDEN>,
	Michael Heerdegen <heerdegen.michael@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

Christopher Schmidt <christopher@HIDDEN> writes:

> martin rudalics <rudalics@HIDDEN> writes:
> > I hopefully applied the change now.  Please check whether it DTRT.
>
> It looks like the first two hunks of Michael's patch were not applied.
> (The patch looks fishy - it actually removes the new code rather than
> adding it.)

Actually, nothing was applied at all to wdired.el.

Martin, please wait a moment.  I'll prepare a patch that DTRT.


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Aug 2012 15:20:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 29 11:20:58 2012
Received: from localhost ([127.0.0.1]:56092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T6k4g-0003qY-DW
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 11:20:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37294)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <christopher@HIDDEN>) id 1T6k4d-0003qP-JI
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 11:20:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1T6k3W-0007TK-EL
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 11:19:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,GAPPY_SUBJECT,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:51238)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1T6k3W-0007TG-BK
	for submit <at> debbugs.gnu.org; Wed, 29 Aug 2012 11:19:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36590)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1T6k3V-0005Qz-AT
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 11:19:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1T6k3Q-0007Mp-5F
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 11:19:45 -0400
Received: from ristopher.com ([146.185.21.93]:53252
	helo=saturn.ch.ristopher.com) by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1T6k3P-0007Ir-TJ
	for bug-gnu-emacs@HIDDEN; Wed, 29 Aug 2012 11:19:40 -0400
Received: by saturn.ch.ristopher.com (Postfix, from userid 0)
	id 7A41520CFC; Wed, 29 Aug 2012 16:19:37 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=ch.ristopher.com;
	s=mail; t=1346253577;
	bh=XxYyqEnTYix+W69WC4lN5SfAz1ctuGzPJbJqF+Eox/Y=;
	h=From:To:Cc:Cc:Subject:In-Reply-To:References:Message-ID:
	MIME-Version:Content-Type:Date;
	b=SDVwPoEgTYMPF4rLiLGEIvF86w1LmFs0Y0TDYKTHC2YRSIADHcMh3KGRxQDGt4Nje
	/S9eq7KUUneAdB+04V0xjHINltcKryNoVwpg2BuwbUasqwj+sPV17WjRMb9zVmD9aB
	hjhdCodOGy3tbQ/1EqnSVLFSU3ZUsAHUTeNYUzIo=
From: Christopher Schmidt <christopher@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
In-Reply-To: <50348571.1070605@HIDDEN> (martin rudalics's message of "Wed,
	22 Aug 2012 09:08:33 +0200")
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
	<873958b2cm.fsf@HIDDEN> <4FF40A79.5000707@HIDDEN>
	<87ipcbmt6d.fsf@HIDDEN> <50348571.1070605@HIDDEN>
Message-ID: <87bohtlo9d@HIDDEN>
Mail-Followup-To: bug-gnu-emacs@HIDDEN, martin rudalics <rudalics@HIDDEN>,
	Michael Heerdegen <heerdegen.michael@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Date: Wed, 29 Aug 2012 16:19:37 +0100 (BST)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
Cc: martin rudalics <rudalics@HIDDEN>,
	Michael Heerdegen <heerdegen.michael@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

martin rudalics <rudalics@HIDDEN> writes:
> I hopefully applied the change now.  Please check whether it DTRT.

It looks like the first two hunks of Michael's patch were not applied.
(The patch looks fishy - it actually removes the new code rather than
adding it.)

        Christopher




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 22 Aug 2012 07:09:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 22 03:09:02 2012
Received: from localhost ([127.0.0.1]:42556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T453m-0006bY-Jw
	for submit <at> debbugs.gnu.org; Wed, 22 Aug 2012 03:09:02 -0400
Received: from mailout-de.gmx.net ([213.165.64.23]:43652)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1T453k-0006b5-Kq
	for 11795 <at> debbugs.gnu.org; Wed, 22 Aug 2012 03:09:01 -0400
Received: (qmail invoked by alias); 22 Aug 2012 07:08:36 -0000
Received: from 62-47-50-77.adsl.highway.telekom.at (EHLO [62.47.50.77])
	[62.47.50.77]
	by mail.gmx.net (mp041) with SMTP; 22 Aug 2012 09:08:36 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/LW+Qr47LLF7jVS9sgn9V/A/urL03qoAlfFHZ9iG
	Ye+5O2ZIVj2NKx
Message-ID: <50348571.1070605@HIDDEN>
Date: Wed, 22 Aug 2012 09:08:33 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;	wdired: C-c C-c loses marks and positions
	of renamed files
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN>	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>	<871ul0bymm@HIDDEN>
	<87zk7ozman.fsf@HIDDEN>	<87d34kfxa3@HIDDEN>
	<87d34kzcr8.fsf@HIDDEN>	<873958b2cm.fsf@HIDDEN>
	<4FF40A79.5000707@HIDDEN> <87ipcbmt6d.fsf@HIDDEN>
In-Reply-To: <87ipcbmt6d.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 11795
Cc: Christopher Schmidt <christopher@HIDDEN>, 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

 > So, it would be cool if the patch could be applied.

I hopefully applied the change now.  Please check whether it DTRT.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 22 Aug 2012 04:43:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 22 00:43:10 2012
Received: from localhost ([127.0.0.1]:42411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1T42mY-0000JG-LG
	for submit <at> debbugs.gnu.org; Wed, 22 Aug 2012 00:43:10 -0400
Received: from mout.web.de ([212.227.17.12]:60964)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1T42mS-0000Io-J2
	for 11795 <at> debbugs.gnu.org; Wed, 22 Aug 2012 00:43:04 -0400
Received: from snow.dragon ([89.204.139.13]) by smtp.web.de (mrweb001) with
	ESMTPSA (Nemesis) id 0ML8F7-1T4Jkx1AWX-000BfR; Wed, 22 Aug 2012 06:42:35
	+0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
	<873958b2cm.fsf@HIDDEN> <4FF40A79.5000707@HIDDEN>
Date: Wed, 22 Aug 2012 06:44:58 +0200
In-Reply-To: <4FF40A79.5000707@HIDDEN> (martin rudalics's message of "Wed, 04
	Jul 2012 11:18:49 +0200")
Message-ID: <87ipcbmt6d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:2wKEq10/CVvOrkRjRSqlSrWbX9IjLSxAWva4x1C/yH5
	4zSlOcdas78gYiWX9yH4IUMpHgn7x1zebWe/z2ZyJH+hY+ROB4
	Kphcucm7iJDYHdc3BLz8Qhdv2aMLZBUDPrjekZrVLwal2oTz+t
	qxazZ43ze/JC/ssvRIsRdgXkvGyK/wQJzHPmuoBkhze5sJ/COq
	/1U7zgypV4lnxCwCMNICj24N132mANAGRKPk2mip9Q=
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 11795
Cc: Christopher Schmidt <christopher@HIDDEN>, 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.2 (/)

martin rudalics <rudalics@HIDDEN> writes:

> >> The call to `dired-mark-remembered' should be wrapped in a
> >> `save-excursion', else it may move point to another position.
>
> Can someone explain why `dired-mark-remembered' cannot do:
>
> (defun dired-mark-remembered (alist)
>   "Mark all files remembered in ALIST.
> Each element of ALIST looks like (FILE . MARKERCHAR)."
>   (let (elt fil chr)
>     (save-excursion
>       (while alist
> 	(setq elt (car alist)
> 	      alist (cdr alist)
> 	      fil (car elt)
> 	      chr (cdr elt))
> 	(when (dired-goto-file fil)
> 	  (beginning-of-line)
> 	  (delete-char 1)
> 	  (insert chr))))))
>
> martin

I guess nobody can explain it because your version simply is better and
more correct.

So, it would be cool if the patch could be applied.


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 4 Jul 2012 12:34:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 08:34:47 2012
Received: from localhost ([127.0.0.1]:47410 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SmOn9-0002BW-1c
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2012 08:34:47 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:62192)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1SmOn8-0002BQ-7R
	for 11795 <at> debbugs.gnu.org; Wed, 04 Jul 2012 08:34:46 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ak8QAG6Zu09MCquH/2dsb2JhbABEgieuIYNJgQiCFQEBBAFWIxALNBIUGA0kiBwFugmQRAOjM4FYgwU
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="192639918"
Received: from 76-10-171-135.dsl.teksavvy.com (HELO pastel.home)
	([76.10.171.135])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	04 Jul 2012 08:29:58 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 3D51258FD2; Wed,  4 Jul 2012 08:29:57 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Message-ID: <jwvk3yjogov.fsf-monnier+emacs@HIDDEN>
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
	<873958b2cm.fsf@HIDDEN> <4FF40A79.5000707@HIDDEN>
Date: Wed, 04 Jul 2012 08:29:57 -0400
In-Reply-To: <4FF40A79.5000707@HIDDEN> (martin rudalics's message of "Wed, 04
	Jul 2012 11:18:49 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11795
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>,
	Christopher Schmidt <christopher@HIDDEN>, 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.0 (/)

>>> The call to `dired-mark-remembered' should be wrapped in a
>>> `save-excursion', else it may move point to another position.
> Can someone explain why `dired-mark-remembered' cannot do:

> (defun dired-mark-remembered (alist)
>   "Mark all files remembered in ALIST.
> Each element of ALIST looks like (FILE . MARKERCHAR)."
>   (let (elt fil chr)
>     (save-excursion
>       (while alist
> 	(setq elt (car alist)
> 	      alist (cdr alist)
> 	      fil (car elt)
> 	      chr (cdr elt))
> 	(when (dired-goto-file fil)
> 	  (beginning-of-line)
> 	  (delete-char 1)
> 	  (insert chr))))))

I have no idea, but you could rewrite the above as:

  (require 'pcase)
  (defun dired-mark-remembered (alist)
    "Mark all files remembered in ALIST.
  Each element of ALIST looks like (FILE . MARKERCHAR)."
    (save-excursion
      (pcase-dolist (`(,fil . ,chr) alist)
        (when (dired-goto-file fil)
          (beginning-of-line)
          (delete-char 1)
          (insert chr)))))


-- Stefan "official pcase promoter"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 4 Jul 2012 09:23:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 05:23:30 2012
Received: from localhost ([127.0.0.1]:47198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SmLo1-0005DP-RD
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2012 05:23:29 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:44850)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SmLo0-0005DJ-IN
	for 11795 <at> debbugs.gnu.org; Wed, 04 Jul 2012 05:23:28 -0400
Received: (qmail invoked by alias); 04 Jul 2012 09:18:41 -0000
Received: from 62-47-38-82.adsl.highway.telekom.at (EHLO [62.47.38.82])
	[62.47.38.82]
	by mail.gmx.net (mp070) with SMTP; 04 Jul 2012 11:18:41 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX19n+9onxIVn//bNgKjnwef4KasZZmthHR1wRi56+y
	oNZalzA1Jb8xc2
Message-ID: <4FF40A79.5000707@HIDDEN>
Date: Wed, 04 Jul 2012 11:18:49 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11795: 24.1.50;	wdired: C-c C-c loses marks and positions
	of renamed files
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN>	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>	<871ul0bymm@HIDDEN>
	<87zk7ozman.fsf@HIDDEN>	<87d34kfxa3@HIDDEN>
	<87d34kzcr8.fsf@HIDDEN> <873958b2cm.fsf@HIDDEN>
In-Reply-To: <873958b2cm.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 11795
Cc: Christopher Schmidt <christopher@HIDDEN>, 11795 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

 >> The call to `dired-mark-remembered' should be wrapped in a
 >> `save-excursion', else it may move point to another position.

Can someone explain why `dired-mark-remembered' cannot do:

(defun dired-mark-remembered (alist)
   "Mark all files remembered in ALIST.
Each element of ALIST looks like (FILE . MARKERCHAR)."
   (let (elt fil chr)
     (save-excursion
       (while alist
	(setq elt (car alist)
	      alist (cdr alist)
	      fil (car elt)
	      chr (cdr elt))
	(when (dired-goto-file fil)
	  (beginning-of-line)
	  (delete-char 1)
	  (insert chr))))))

martin






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 4 Jul 2012 04:05:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 04 00:05:17 2012
Received: from localhost ([127.0.0.1]:46638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SmGq3-0006Ne-UI
	for submit <at> debbugs.gnu.org; Wed, 04 Jul 2012 00:05:16 -0400
Received: from mout.web.de ([212.227.17.11]:61763)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SmGq1-0006NW-5V
	for 11795 <at> debbugs.gnu.org; Wed, 04 Jul 2012 00:05:14 -0400
Received: from snow.dragon ([89.204.138.21]) by smtp.web.de (mrweb002) with
	ESMTPSA (Nemesis) id 0MUEoU-1SLLxa0Ves-00RHnC; Wed, 04 Jul 2012 06:00:26
	+0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: 11795 <at> debbugs.gnu.org
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN> <87d34kzcr8.fsf@HIDDEN>
Date: Wed, 04 Jul 2012 06:02:33 +0200
In-Reply-To: <87d34kzcr8.fsf@HIDDEN> (Michael Heerdegen's message of "Wed, 27
	Jun 2012 23:05:47 +0200")
Message-ID: <873958b2cm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V02:K0:ZhzlTemH8eMzcK+6IadtfXw+q/xmpUuHK5acP+fLQt2
	/QohQOQYcYdTSv9X5nqMNnCCr9BuqZCEDKNB27I7TtxTEM5BBd
	ZZYKMY8QeBWOd+yKQtRW90p6EeDFjwB9owRyay3qQmQhr1FqGh
	eDqg76l3BeoSO9ZUVpwknkcz720m7G+yM0JhrMBGOKadbrmEsJ
	clHYL0v53pK/kLYkpRlt/R/OWQzzT5XIX6tfmr7bRc=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 11795
Cc: Christopher Schmidt <christopher@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain

Hello again,

> The call to `dired-mark-remembered' should be wrapped in a
> `save-excursion', else it may move point to another position.

So, this is the fixed patch:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: attachment;
 filename=wdired-finish-edit-remember-marks-fixed.diff

diff -c /home/micha/today/wdired-stuff/wdired.el /home/micha/today/wdired-stuff/wdired-orig.el
*** /home/micha/today/wdired-stuff/wdired.el	2012-07-01 04:32:46.000000000 +0200
--- /home/micha/today/wdired-stuff/wdired-orig.el	2012-07-01 04:48:03.000000000 +0200
***************
*** 351,357 ****
    (wdired-change-to-dired-mode)
    (let ((changes nil)
  	(errors 0)
- 	(marks (dired-remember-marks (point-min) (point-max)))
  	files-deleted
  	files-renamed
  	some-file-names-unchanged
--- 351,356 ----
***************
*** 377,390 ****
              (setq changes t)
              (if (not file-new)		;empty filename!
                  (push file-old files-deleted)
- 	      (when dired-keep-marker-rename
- 		(let ((mark (if (integerp dired-keep-marker-rename)
- 				dired-keep-marker-rename
- 			      (cdr (assoc file-old marks)))))
- 		  (when mark
- 		    (push (cons (expand-file-name
-                                  (substitute-in-file-name file-new)) mark)
-                           marks))))
                (push (cons file-old (substitute-in-file-name file-new))
                      files-renamed))))
  	(forward-line -1)))
--- 376,381 ----
***************
*** 402,410 ****
  		     (= (length files-renamed) 1))
  	    (setq dired-directory (cdr (car files-renamed))))
  	  ;; Re-sort the buffer.
! 	  (revert-buffer)
! 	  (let ((inhibit-read-only t))
! 	    (save-excursion (dired-mark-remembered marks))))
        (let ((inhibit-read-only t))
  	(remove-text-properties (point-min) (point-max)
  				'(old-name nil end-name nil old-link nil
--- 393,399 ----
  		     (= (length files-renamed) 1))
  	    (setq dired-directory (cdr (car files-renamed))))
  	  ;; Re-sort the buffer.
! 	  (revert-buffer))
        (let ((inhibit-read-only t))
  	(remove-text-properties (point-min) (point-max)
  				'(old-name nil end-name nil old-link nil

Diff finished.  Tue Jul  3 02:02:01 2012

--=-=-=
Content-Type: text/plain


I made a lot of tests, and it seems to work well now.  Please, somebody
have a look, and apply it if it's ok.


Thanks,

Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2012 21:08:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 17:08:06 2012
Received: from localhost ([127.0.0.1]:32970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SjzT3-00031p-M3
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 17:08:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45597)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjzT2-00031i-AG
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 17:08:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjzP0-0007tC-Cg
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 17:03:55 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_BL_SPAMCOP_NET,RCVD_IN_DNSWL_HI,RCVD_IN_XBL
	autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35485)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjzP0-0007sx-9L
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 17:03:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59719)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjzOy-0006tD-Oc
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 17:03:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjzOx-0007rc-4P
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 17:03:52 -0400
Received: from mout.web.de ([212.227.17.12]:50095)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjzOw-0007r1-QZ
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 17:03:51 -0400
Received: from snow.dragon ([89.204.130.168]) by smtp.web.de (mrweb103) with
	ESMTPSA (Nemesis) id 0LaCbS-1S0S6P0zqY-00mAFf; Wed, 27 Jun 2012 23:03:48
	+0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
	<87d34kfxa3@HIDDEN>
Date: Wed, 27 Jun 2012 23:05:47 +0200
In-Reply-To: <87d34kfxa3@HIDDEN> (Christopher Schmidt's message of
	"Wed, 27 Jun 2012 19:02:47 +0100 (BST)")
Message-ID: <87d34kzcr8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:rFBzkHQoiHcBXFtsFNiRuH28yROaLtrn4E3h+nO9fgq
	0M35AgftHqBcUTdaYJHQSHoRbw8a3ovj3TLhr+RU2OdA2TELST
	0Lm9wSdXMO2uXqnHgUDJa9wqyRKYtGqSc7Yu8MnknYAfcTaw/k
	M+HS1cBYxidbGd1SkCs1opQwVwV9iHfFcOZIityiMOh3Ia2R1G
	XYoFYKvf6nJKpmtiloJ2nuMYOiHoJb385nDiVQwz/c=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: submit
Cc: Christopher Schmidt <christopher@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

Hi Christopher,

thanks for working on this.

Your patch looks and works quite well so far - but one more detail:

-	  (revert-buffer))
+	  (revert-buffer)
+	  (let ((inhibit-read-only t))
+	    (dired-mark-remembered marks)))

The call to `dired-mark-remembered' should be wrapped in a
`save-excursion', else it may move point to another position.


Regards,

Michael





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2012 18:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 14:07:15 2012
Received: from localhost ([127.0.0.1]:60982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sjwe2-0005fR-DM
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 14:07:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54557)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <christopher@HIDDEN>) id 1Sjwe0-0005fK-2H
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 14:07:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjwZz-0000Sd-0i
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 14:03:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,GAPPY_SUBJECT,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56982)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjwZy-0000SW-RH
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 14:03:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40845)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjwZt-0007N4-GN
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 14:03:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjwZo-0000O1-8Z
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 14:02:56 -0400
Received: from ristopher.com ([146.185.21.93]:40339
	helo=saturn.ch.ristopher.com) by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjwZn-0000Mp-RA
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 14:02:52 -0400
Received: by saturn.ch.ristopher.com (Postfix, from userid 0)
	id D651520B28; Wed, 27 Jun 2012 19:02:47 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=ch.ristopher.com;
	s=mail; t=1340820167;
	bh=ELWWDirVHb9tWMGfN49k9G9VVGD9uSl+zKmZ4SWhFoo=;
	h=From:To:Subject:In-Reply-To:References:Message-ID:MIME-Version:
	Content-Type:Date;
	b=CIxZ1kMszC1PIBFvvyfrBTQNNtGCTJFxxOGYFwtb7NzV2dRXEUo/ENbrZlLl8if39
	/qaB3qGuYjigUBPrUOnDUZswzz5LL5uaSYEExI2MxDxG6NobqzX87LuT4INs8jCsqO
	tuERGKwo0IVzkSx7D4WPsomveruXYHBwNsvrurK0=
From: Christopher Schmidt <christopher@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
In-Reply-To: <87zk7ozman.fsf@HIDDEN> (Michael Heerdegen's message of "Wed,
	27 Jun 2012 19:39:44 +0200")
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN> <87zk7ozman.fsf@HIDDEN>
Mail-Followup-To: bug-gnu-emacs@HIDDEN
Message-ID: <87d34kfxa3@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Date: Wed, 27 Jun 2012 19:02:47 +0100 (BST)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

--=-=-=
Content-Type: text/plain

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> But there is a problem: if I now rename a file that isn't marked, I
> get the following error:
[...]
> `dired-mark-remembered' does not accept files that are not marked, see
> the docstring.  I guess this can easily be fixed by just removing
> those from the alist before calling `dired-mark-remembered'.

Here is a fix for the fix.

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=wdired-finish-edit-remember-marks-fixed.diff

diff --git a/wdired.el b/wdired-fixed-fixed.el
index fe5b4ef..045fe91 100644
--- a/wdired.el
+++ b/wdired-fixed-fixed.el
@@ -351,6 +351,7 @@ non-nil means return old filename."
   (wdired-change-to-dired-mode)
   (let ((changes nil)
 	(errors 0)
+	(marks (dired-remember-marks (point-min) (point-max)))
 	files-deleted
 	files-renamed
 	some-file-names-unchanged
@@ -376,6 +377,12 @@ non-nil means return old filename."
             (setq changes t)
             (if (not file-new)		;empty filename!
                 (push file-old files-deleted)
+	      (when dired-keep-marker-rename
+		(let ((mark (if (integerp dired-keep-marker-rename)
+				dired-keep-marker-rename
+			      (cdr (assoc file-old marks)))))
+		  (when mark
+		    (push (cons (substitute-in-file-name file-new) mark) marks))))
               (push (cons file-old (substitute-in-file-name file-new))
                     files-renamed))))
 	(forward-line -1)))
@@ -393,7 +400,9 @@ non-nil means return old filename."
 		     (= (length files-renamed) 1))
 	    (setq dired-directory (cdr (car files-renamed))))
 	  ;; Re-sort the buffer.
-	  (revert-buffer))
+	  (revert-buffer)
+	  (let ((inhibit-read-only t))
+	    (dired-mark-remembered marks)))
       (let ((inhibit-read-only t))
 	(remove-text-properties (point-min) (point-max)
 				'(old-name nil end-name nil old-link nil

--=-=-=
Content-Type: text/plain


        Christopher

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2012 17:45:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 13:45:27 2012
Received: from localhost ([127.0.0.1]:60937 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SjwIw-000586-Cs
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 13:45:27 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41770)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjwIr-00057q-MC
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 13:45:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjwEq-00078w-3u
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 13:41:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_BL_SPAMCOP_NET,RCVD_IN_DNSWL_HI,RCVD_IN_XBL
	autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:41207)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjwEq-00074h-0l
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 13:41:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48386)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjwBY-0005I4-Eo
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 13:37:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjwBR-0005HQ-M7
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 13:37:47 -0400
Received: from mout.web.de ([212.227.17.11]:58507)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjwBR-0005GS-CZ
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 13:37:41 -0400
Received: from snow.dragon ([89.204.130.168]) by smtp.web.de (mrweb103) with
	ESMTPSA (Nemesis) id 0LkyEb-1SBhMI2K17-00aIzv; Wed, 27 Jun 2012 19:37:39
	+0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN>
Date: Wed, 27 Jun 2012 19:39:44 +0200
In-Reply-To: <871ul0bymm@HIDDEN> (Christopher Schmidt's message of
	"Wed, 27 Jun 2012 15:47:18 +0100 (BST)")
Message-ID: <87zk7ozman.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V02:K0:Shivelyn9hH0DKKysFfaHuunLc3mEXxUchj/IyRUqBU
	Eh9HtRvnYggOVTmsOLylzN+2GUneCxJRLTngu7U2QYkM1BMGMx
	oGUDAb9p4TKZaLYUH+YK/CawL3/sRPkdtlwi5y/CAwAeouYHUd
	PIkrEsXgAH8XAHKn2qtKe5PW6wEUV3na8XBbvu9ght/yPr/Y0p
	a0qMDDZW4/6UPsA9quF4pfySK00xlNg8HnmLRDv6hQ=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -3.6 (---)
X-Debbugs-Envelope-To: submit
Cc: christopher@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

Hi Christopher,

the patch indeed fixes the problem, thanks!

But there is a problem: if I now rename a file that isn't marked, I get the
following error:

Debugger entered--Lisp error: (wrong-type-argument char-or-string-p nil)
  dired-mark-remembered((("/home/micha/Treasure/Trash/bug")))
  (let ((inhibit-read-only t)) (dired-mark-remembered marks))
  (progn (when (and (stringp dired-directory) (not (file-directory-p dired-=
directory)) (null some-file-names-unchanged) (=3D (length files-renamed) 1)=
) (setq dired-directory (cdr (car files-renamed)))) (revert-buffer) (let ((=
inhibit-read-only t)) (dired-mark-remembered marks)))
  (if changes (progn (when (and (stringp dired-directory) (not (file-direct=
ory-p dired-directory)) (null some-file-names-unchanged) (=3D (length files=
-renamed) 1)) (setq dired-directory (cdr (car files-renamed)))) (revert-buf=
fer) (let ((inhibit-read-only t)) (dired-mark-remembered marks))) (let ((in=
hibit-read-only t)) (remove-text-properties (point-min) (point-max) (quote =
(old-name nil end-name nil old-link nil end-link nil end-perm nil old-perm =
nil perm-changed nil))) (message "(No changes to be performed)")))
  (let ((changes nil) (errors 0) (marks (dired-remember-marks (point-min) (=
point-max))) files-deleted files-renamed some-file-names-unchanged file-old=
 file-new tmp-value) (save-excursion (when (and wdired-allow-to-redirect-li=
nks (fboundp (quote make-symbolic-link))) (setq tmp-value (wdired-do-symlin=
k-changes)) (setq errors (cdr tmp-value)) (setq changes (car tmp-value))) (=
when (and wdired-allow-to-change-permissions (boundp (quote wdired-col-perm=
))) (setq tmp-value (wdired-do-perm-changes)) (setq errors (+ errors (cdr t=
mp-value))) (setq changes (or changes (car tmp-value)))) (goto-char (point-=
max)) (while (not (bobp)) (setq file-old (wdired-get-filename nil t)) (when=
 file-old (setq file-new (wdired-get-filename)) (if (equal file-new file-ol=
d) (setq some-file-names-unchanged t) (setq changes t) (if (not file-new) (=
push file-old files-deleted) (when dired-keep-marker-rename (push ... marks=
)) (push (cons file-old ...) files-renamed)))) (forward-line -1))) (when fi=
les-renamed (setq errors (+ errors (wdired-do-renames files-renamed)))) (if=
 changes (progn (when (and (stringp dired-directory) (not (file-directory-p=
 dired-directory)) (null some-file-names-unchanged) (=3D (length files-rena=
med) 1)) (setq dired-directory (cdr (car files-renamed)))) (revert-buffer) =
(let ((inhibit-read-only t)) (dired-mark-remembered marks))) (let ((inhibit=
-read-only t)) (remove-text-properties (point-min) (point-max) (quote (old-=
name nil end-name nil old-link nil end-link nil end-perm nil old-perm nil p=
erm-changed nil))) (message "(No changes to be performed)"))) (when files-d=
eleted (wdired-flag-for-deletion files-deleted)) (when (> errors 0) (dired-=
log-summary (format "%d rename actions failed" errors) nil)))
  wdired-finish-edit()
  call-interactively(wdired-finish-edit nil nil)

`dired-mark-remembered' does not accept files that are not marked, see
the docstring.  I guess this can easily be fixed by just removing those
from the alist before calling `dired-mark-remembered'.


Regards,

Michael.


> diff --git a/wdired.el b/wdired-fixed.el
> index fe5b4ef..c5956c5 100644
> --- a/wdired.el
> +++ b/wdired-fixed.el
> @@ -351,6 +351,7 @@ non-nil means return old filename."
>    (wdired-change-to-dired-mode)
>    (let ((changes nil)
>  	(errors 0)
> +	(marks (dired-remember-marks (point-min) (point-max)))
>  	files-deleted
>  	files-renamed
>  	some-file-names-unchanged
> @@ -376,6 +377,12 @@ non-nil means return old filename."
>              (setq changes t)
>              (if (not file-new)		;empty filename!
>                  (push file-old files-deleted)
> +	      (when dired-keep-marker-rename
> +		(push (cons (substitute-in-file-name file-new)
> +			    (if (integerp dired-keep-marker-rename)
> +				dired-keep-marker-rename
> +			      (cdr (assoc file-old marks))))
> +		      marks))
>                (push (cons file-old (substitute-in-file-name file-new))
>                      files-renamed))))
>  	(forward-line -1)))
> @@ -393,7 +400,9 @@ non-nil means return old filename."
>  		     (=3D (length files-renamed) 1))
>  	    (setq dired-directory (cdr (car files-renamed))))
>  	  ;; Re-sort the buffer.
> -	  (revert-buffer))
> +	  (revert-buffer)
> +	  (let ((inhibit-read-only t))
> +	    (dired-mark-remembered marks)))
>        (let ((inhibit-read-only t))
>  	(remove-text-properties (point-min) (point-max)
>  				'(old-name nil end-name nil old-link nil
>
>
>         Christopher




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 27 Jun 2012 15:04:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 11:04:10 2012
Received: from localhost ([127.0.0.1]:60518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sjtms-0000WJ-3o
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 11:04:10 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117]:50312)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1Sjtmo-0000WB-TL
	for 11795 <at> debbugs.gnu.org; Wed, 27 Jun 2012 11:04:08 -0400
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
	by rcsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q5RExwTe008148
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 27 Jun 2012 14:59:59 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q5RExvP7008469
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 27 Jun 2012 14:59:58 GMT
Received: from abhmt118.oracle.com (abhmt118.oracle.com [141.146.116.70])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q5RExv55028562; Wed, 27 Jun 2012 09:59:57 -0500
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 27 Jun 2012 07:59:57 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Christopher Schmidt'" <christopher@HIDDEN>,
	<11795 <at> debbugs.gnu.org>
References: <87r4t1sk9o.fsf@HIDDEN>
	<87sjdhily5@HIDDEN><06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
	<871ul0bymm@HIDDEN>
Subject: RE: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Date: Wed, 27 Jun 2012 07:59:56 -0700
Message-ID: <265F7BD815DD41BDB6F876690A37426E@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <871ul0bymm@HIDDEN>
Thread-Index: Ac1Uc99sjexA3nA8T5ydYNS8/D0cWAAAIlmA
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 11795
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

> >> This patch for wdired.el fixes the problem here (GNU Emacs 24.1.1).
> >
> > But shouldn't Wdired respect the user's setting of option
> > `dired-keep-marker-rename'?  IOW, shouldn't users be able to control
> > whether exiting wdired removes marks?
> 
> Right.

Looks OK to me.

A question is whether we should bother to invoke `dired-remember-marks' if
`dired-keep-marker-rename' is nil.

This patch is local to `wdired-finish-edit', which I think is intended to be
more or less atomic (a transaction), so I guess the answer is no (a user cannot
change the option value during `wdired-finish-edit').

Not calling `dired-remember-marks' if `dired-keep-marker-rename' is nil would
save a little time (not important), and I don't think we would lose anything
doing that.  But it's a question.

BTW, I wonder if there isn't some part of `wdired-finish-edit' that should be in
an `unwind-protect'.  Not thinking of anything in particular - just a feeling...





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2012 14:51:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 10:51:57 2012
Received: from localhost ([127.0.0.1]:60468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sjtb2-0000E5-QE
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 10:51:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42246)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <christopher@HIDDEN>) id 1Sjtb0-0000Dy-OL
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 10:51:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjtWs-0000Fj-3N
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 10:47:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,GAPPY_SUBJECT,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:53341)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjtWr-0000Fc-Te
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 10:47:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54404)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjtWn-0007DC-6u
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 10:47:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjtWd-0000BS-5E
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 10:47:32 -0400
Received: from ristopher.com ([146.185.21.93]:40302
	helo=saturn.ch.ristopher.com) by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1SjtWc-0000Al-O0
	for bug-gnu-emacs@HIDDEN; Wed, 27 Jun 2012 10:47:23 -0400
Received: by saturn.ch.ristopher.com (Postfix, from userid 0)
	id D447620B28; Wed, 27 Jun 2012 15:47:18 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=ch.ristopher.com;
	s=mail; t=1340808438;
	bh=zhOzo6ueR3uSasU481VMisIXafMFOjpZt/z4ufiV1mU=;
	h=From:To:Subject:In-Reply-To:References:Message-ID:MIME-Version:
	Content-Type:Date;
	b=YVifjev6pReW9nX59maf1jZrqKeoB/IOW2rFSmovSpL7AVwXLYAVFq23XoXykk9B0
	YDLqphwnbYJURKeBeaiPIGVXj8UCCaza/5iekylGglM1qReXEVwmvX373DnOd76MEv
	ZyFVyOPcQhe+iY6erspRTS249pPckEWwsF1dnE8w=
From: Christopher Schmidt <christopher@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
In-Reply-To: <06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN> (Drew Adams's
	message of "Wed, 27 Jun 2012 07:20:13 -0700")
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
	<06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
Message-ID: <871ul0bymm@HIDDEN>
Mail-Followup-To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Date: Wed, 27 Jun 2012 15:47:18 +0100 (BST)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

--=-=-=
Content-Type: text/plain

"Drew Adams" <drew.adams@HIDDEN> writes:

>> This patch for wdired.el fixes the problem here (GNU Emacs 24.1.1).
>
> But shouldn't Wdired respect the user's setting of option
> `dired-keep-marker-rename'?  IOW, shouldn't users be able to control
> whether exiting wdired removes marks?

Right.

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=wdired-finish-edit-remember-marks.diff

diff --git a/wdired.el b/wdired-fixed.el
index fe5b4ef..c5956c5 100644
--- a/wdired.el
+++ b/wdired-fixed.el
@@ -351,6 +351,7 @@ non-nil means return old filename."
   (wdired-change-to-dired-mode)
   (let ((changes nil)
 	(errors 0)
+	(marks (dired-remember-marks (point-min) (point-max)))
 	files-deleted
 	files-renamed
 	some-file-names-unchanged
@@ -376,6 +377,12 @@ non-nil means return old filename."
             (setq changes t)
             (if (not file-new)		;empty filename!
                 (push file-old files-deleted)
+	      (when dired-keep-marker-rename
+		(push (cons (substitute-in-file-name file-new)
+			    (if (integerp dired-keep-marker-rename)
+				dired-keep-marker-rename
+			      (cdr (assoc file-old marks))))
+		      marks))
               (push (cons file-old (substitute-in-file-name file-new))
                     files-renamed))))
 	(forward-line -1)))
@@ -393,7 +400,9 @@ non-nil means return old filename."
 		     (= (length files-renamed) 1))
 	    (setq dired-directory (cdr (car files-renamed))))
 	  ;; Re-sort the buffer.
-	  (revert-buffer))
+	  (revert-buffer)
+	  (let ((inhibit-read-only t))
+	    (dired-mark-remembered marks)))
       (let ((inhibit-read-only t))
 	(remove-text-properties (point-min) (point-max)
 				'(old-name nil end-name nil old-link nil

--=-=-=
Content-Type: text/plain


        Christopher

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 27 Jun 2012 14:24:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 27 10:24:26 2012
Received: from localhost ([127.0.0.1]:60437 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SjtAQ-00081S-4u
	for submit <at> debbugs.gnu.org; Wed, 27 Jun 2012 10:24:26 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117]:28923)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1SjtAN-00081K-VR
	for 11795 <at> debbugs.gnu.org; Wed, 27 Jun 2012 10:24:24 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by rcsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q5REKFRs021920
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 27 Jun 2012 14:20:16 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q5REKEIE008690
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 27 Jun 2012 14:20:15 GMT
Received: from abhmt120.oracle.com (abhmt120.oracle.com [141.146.116.72])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q5REKEXN011143; Wed, 27 Jun 2012 09:20:14 -0500
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Wed, 27 Jun 2012 07:20:14 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Christopher Schmidt'" <christopher@HIDDEN>,
	<11795 <at> debbugs.gnu.org>
References: <87r4t1sk9o.fsf@HIDDEN> <87sjdhily5@HIDDEN>
Subject: RE: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Date: Wed, 27 Jun 2012 07:20:13 -0700
Message-ID: <06AF8E7E174A4F768ADB2B901755EA3C@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87sjdhily5@HIDDEN>
Thread-Index: Ac1UBBtnwMF01+boTPKZJGjPLx8g6gAa1mtw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 11795
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

> > Background: `wdired-finish-edit' calls `revert-buffer', which will
> > call `dired-revert'.  Before this is called, everything is ok.  But
> > `dired-revert' fails to remember the mark and the position of the
> > renamed file correctly.  I didn't dig any further, but I guess a
> > specialized revert function is needed for `wdired-finish-edit'.
> 
> This patch for wdired.el fixes the problem here (GNU Emacs 24.1.1).

But shouldn't Wdired respect the user's setting of option
`dired-keep-marker-rename'?  IOW, shouldn't users be able to control whether
exiting wdired removes marks?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Jun 2012 01:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 26 21:31:19 2012
Received: from localhost ([127.0.0.1]:59280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sjh6E-0005l7-VT
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 21:31:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39380)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <christopher@HIDDEN>) id 1Sjh6B-0005ky-DC
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 21:31:16 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1Sjh2D-0000T4-W7
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 21:27:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,GAPPY_SUBJECT,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:51175)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1Sjh2D-0000Sk-QP
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 21:27:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59185)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1Sjh2B-0005HY-Ri
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jun 2012 21:27:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1Sjh29-0000R1-Ln
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jun 2012 21:27:07 -0400
Received: from ristopher.com ([146.185.21.93]:40196
	helo=saturn.ch.ristopher.com) by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <christopher@HIDDEN>) id 1Sjh29-0000Pf-8K
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jun 2012 21:27:05 -0400
Received: by saturn.ch.ristopher.com (Postfix, from userid 0)
	id D89E120B28; Wed, 27 Jun 2012 02:27:00 +0100 (BST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=ch.ristopher.com;
	s=mail; t=1340760420;
	bh=m8hBjBL99AW6RnHeJDNJXgwaMzZEs4aka2YGK1aluo0=;
	h=From:To:Subject:In-Reply-To:References:Message-ID:MIME-Version:
	Content-Type:Date;
	b=OJUbnVrcz/Jw+wrDWnM7VaRPnMLf1HmIswIPqZRhova969gWHWt8dgYpJOumivBcC
	FtrrO0m0iL0nc8jrSk7e+GH/Zx4IRAXN0VDOlp8L/GTN7rx46WidlE0JHz1TqpT0b4
	jF9ZVw9EXaAlrbcSARuKEGdDwCLIPA28OInwvto4=
From: Christopher Schmidt <christopher@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
In-Reply-To: <87r4t1sk9o.fsf@HIDDEN> (Michael Heerdegen's message of "Wed,
	27 Jun 2012 01:53:07 +0200")
References: <87r4t1sk9o.fsf@HIDDEN>
Message-ID: <87sjdhily5@HIDDEN>
Mail-Followup-To: bug-gnu-emacs@HIDDEN
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Date: Wed, 27 Jun 2012 02:27:00 +0100 (BST)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

--=-=-=
Content-Type: text/plain

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Background: `wdired-finish-edit' calls `revert-buffer', which will
> call `dired-revert'.  Before this is called, everything is ok.  But
> `dired-revert' fails to remember the mark and the position of the
> renamed file correctly.  I didn't dig any further, but I guess a
> specialized revert function is needed for `wdired-finish-edit'.

This patch for wdired.el fixes the problem here (GNU Emacs 24.1.1).

--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=wdired-finish-edit-remeber-marks.diff

diff --git a/wdired.el b/wdired-fixed.el
index fe5b4ef..d241d2e 100644
--- a/wdired.el
+++ b/wdired-fixed.el
@@ -350,7 +350,8 @@ non-nil means return old filename."
   (interactive)
   (wdired-change-to-dired-mode)
   (let ((changes nil)
-	(errors 0)
+	(errors 0)	
+	(marks (dired-remember-marks (point-min) (point-max)))
 	files-deleted
 	files-renamed
 	some-file-names-unchanged
@@ -376,6 +377,9 @@ non-nil means return old filename."
             (setq changes t)
             (if (not file-new)		;empty filename!
                 (push file-old files-deleted)
+	      (push (cons (substitute-in-file-name file-new)
+			  (cdr (assoc file-old marks)))
+		    marks)
               (push (cons file-old (substitute-in-file-name file-new))
                     files-renamed))))
 	(forward-line -1)))
@@ -393,7 +397,8 @@ non-nil means return old filename."
 		     (= (length files-renamed) 1))
 	    (setq dired-directory (cdr (car files-renamed))))
 	  ;; Re-sort the buffer.
-	  (revert-buffer))
+	  (revert-buffer)
+	  (dired-mark-remembered marks))
       (let ((inhibit-read-only t))
 	(remove-text-properties (point-min) (point-max)
 				'(old-name nil end-name nil old-link nil

--=-=-=
Content-Type: text/plain


        Christopher

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at 11795 <at> debbugs.gnu.org:


Received: (at 11795) by debbugs.gnu.org; 27 Jun 2012 01:01:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 26 21:01:51 2012
Received: from localhost ([127.0.0.1]:59268 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sjgdi-00056o-Pu
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 21:01:51 -0400
Received: from acsinet15.oracle.com ([141.146.126.227]:44277)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1Sjgdg-00056h-Vm
	for 11795 <at> debbugs.gnu.org; Tue, 26 Jun 2012 21:01:50 -0400
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by acsinet15.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id q5R0vgt9030244
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Wed, 27 Jun 2012 00:57:43 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	q5R0vgwC011579
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Wed, 27 Jun 2012 00:57:42 GMT
Received: from abhmt119.oracle.com (abhmt119.oracle.com [141.146.116.71])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	q5R0vgXt012469; Tue, 26 Jun 2012 19:57:42 -0500
Received: from dradamslap1 (/10.159.171.205)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Tue, 26 Jun 2012 17:57:41 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <michael_heerdegen@HIDDEN>, <11795 <at> debbugs.gnu.org>
References: <87r4t1sk9o.fsf@HIDDEN>
Subject: RE: bug#11795: 24.1.50;
	wdired: C-c C-c loses marks and positions of renamed files
Date: Tue, 26 Jun 2012 17:57:35 -0700
Message-ID: <E823B2F6C14C45248F74C1C2E5A05193@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <87r4t1sk9o.fsf@HIDDEN>
Thread-Index: Ac1T9rIteYMKD9cbQJSBqJ9vzM6+lQACPIcA
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 11795
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.0 (-----)

Hi Michael,

I haven't looked at the bug report much, but are you aware of user option
`dired-keep-marker-rename'.  Dunno whether it is involve here, but it generally
controls whether a marked file keeps its mark after renaming.

HTH - Drew

> Background: `wdired-finish-edit' calls `revert-buffer', which will
> call `dired-revert'.  Before this is called, everything is ok.  But
> `dired-revert' fails to remember the mark and the position of the
> renamed file correctly.  I didn't dig any further, but I guess a
> specialized revert function is needed for `wdired-finish-edit'.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jun 2012 23:55:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 26 19:55:13 2012
Received: from localhost ([127.0.0.1]:59235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SjfbF-0003cO-3j
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 19:55:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60492)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjfbC-0003cG-7M
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 19:55:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjfXE-00006C-Vz
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 19:51:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	GAPPY_SUBJECT,RCVD_IN_DNSWL_HI autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:34677)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjfXE-000068-Su
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2012 19:51:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53594)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjfXD-0008Tx-5m
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jun 2012 19:51:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjfXB-0008U2-8h
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jun 2012 19:51:02 -0400
Received: from mout.web.de ([212.227.17.11]:49688)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjfXA-0008Pv-V7
	for bug-gnu-emacs@HIDDEN; Tue, 26 Jun 2012 19:51:01 -0400
Received: from snow.dragon ([89.204.138.102]) by smtp.web.de (mrweb102) with
	ESMTPSA (Nemesis) id 0Lj2Dy-1S8x4h1lmw-00dLTn for
	<bug-gnu-emacs@HIDDEN>; Wed, 27 Jun 2012 01:50:58 +0200
Date: Wed, 27 Jun 2012 01:53:07 +0200
Message-Id: <87r4t1sk9o.fsf@HIDDEN>
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1.50; wdired: C-c C-c loses marks and positions of renamed files
X-Provags-ID: V02:K0:EeN41fmQ59h/x2EG9euJwIWwKjTeJCYfd0tc9E/2uNI
	93ASIXBXkvuNQFH0GEN8ua2SXXOaurDkYKf21fKM7p17jB+rN5
	rF/F3pG3OMSZVU9qh735KOWUyGUIOG6lq5Z9GOdKk0auTDtd+l
	5+BxIsNoAK+2wL0H2jG2/86es0kEGyY6Y8oXTsH/8Boh7NuJ6A
	cSE0D06KzaGhMtQAYfdV6CuPeBowzMPY7J6VSEnVwA=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: michael_heerdegen@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

Hi,

a short demonstration for emacs -Q:

1. M-x dired a directory containing some files

2. Go to the first file's line (not "." or ".."), and mark the file
with m

3. M-x wdired-change-to-wdired-mode

4. Edit the name of the first file: e.g. add a "z" to the front of the
   name so that the file will surely appear at another position after
   renaming

5. C-c C-c

You'll see that point is still at the first file's line, although the
renamed file is now displayed near the end of the buffer.  Even worse,
the mark of the file has disappeared.

Background: `wdired-finish-edit' calls `revert-buffer', which will
call `dired-revert'.  Before this is called, everything is ok.  But
`dired-revert' fails to remember the mark and the position of the
renamed file correctly.  I didn't dig any further, but I guess a
specialized revert function is needed for `wdired-finish-edit'.


Thanks,

Michael.


In GNU Emacs 24.1.50.1 (i486-pc-linux-gnu, GTK+ Version 3.4.2)
 of 2012-06-22 on zelenka, modified by Debian
 (emacs-snapshot package, version 2:20120622-1)
Windowing system distributor `The X.Org Foundation', version 11.0.11201902
Configured using:
 `configure '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.1.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.1.50/site-lisp:/usr/share/emacs/site-lisp'
 '--without-compress-info' '--with-crt-dir=/usr/lib/i386-linux-gnu/'
 '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes'
 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu'
 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g
 -Wl,--as-needed -znocombreloc' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''





Acknowledgement sent to michael_heerdegen@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11795; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.